package net.wanji.databus.entity.basedata;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * @author xiaodong.zheng
 * @since 2021-03-01
 */
@Data
@ApiModel(value="Area对象", description="")
public class Area extends TrackableEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "区域名称")
    private String areaName;

    @ApiModelProperty(value = "行政区划编码")
    private String adcode;

    @ApiModelProperty(value = "区域代码")
    private String areaCode;

    private Double xCenter;

    private Double yCenter;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "父级ID")
    private String pid;

    @ApiModelProperty(value = "等级(1省/直辖市,2地级市,3区县,4镇/街道)")
    private Integer grade;

    @ApiModelProperty(value = "排序号")
    private Integer sort;

    @ApiModelProperty(value = "城市行政编码")
    private String cityCode;

    @ApiModelProperty(value = "大类：行政区域，管界，自定义区域")
    private Integer type1;

    @ApiModelProperty(value = "小类：")
    private Integer type2;

    /**
     * 非标字段
    **/
    @ApiModelProperty(value = "wkt")
    private String wkt;

    @ApiModelProperty(value = "geoJson")
    private String geoJson;



}
