package net.wanji.databus.entity.basedata;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  表的字段元数据表
 *
 * @author guoliang.dong@wanji.com
 * @date 2021/2/10
 */
@Data
@ApiModel(value = "TableFields" , description = "表字段")
public class TableFields extends TrackableEntity{

    @ApiModelProperty(value = "表id")
    private String tableId;

    @ApiModelProperty(value = "字段名英文名")
    private String fieldNameEn;

    @ApiModelProperty(value = "字段中文名")
    private String fieldNameCn;

    @ApiModelProperty(value = "字段类型")
    private String type;

    @ApiModelProperty(value = "字段长度")
    private String length;

    @ApiModelProperty(value = "是否主键")
    private String isPk;

    @ApiModelProperty(value = "是否空值")
    private String isNull;

    @ApiModelProperty(value = "默认值")
    private String defaultValue;

    @ApiModelProperty(value = "关联字典表")
    private String dictionaryType;

    @ApiModelProperty(value = "是否业务主键")
    private String isBizPk;

    @ApiModelProperty(value = "字段排序")
    private Integer flOrder;

    @ApiModelProperty(value = "数据验证规则")
    private String rule;

    @ApiModelProperty(value = "是否可查询")
    private String isQuery;

    @ApiModelProperty(value = "时否空间字段")
    private String isGeom;

    @ApiModelProperty(value = "字段描述")
    private String desc;

    @ApiModelProperty(value = "计算字段")
    private String  calculatedField;


    // 以下为扩展属性，表中不需要有相应的字段。
    @ApiModelProperty(value = "是否为旧字段。微服务开发--基础数据--业务表--编辑时旧字段需要修改屏蔽。")
    private boolean ifOldField;
}
