package net.wanji.databus.entity.basedata;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  接口
 *
 * @author wanji
 * @date 2020/3/18
 */
@Data
@ApiModel(value = "TableRestful", description = " Restful接口")
public class TableRestful extends TrackableEntity {
    @ApiModelProperty(value = "restful接口名称")
    private String name;

    @ApiModelProperty(value = "restful接口中文名称")
    private String nameCn;

    @ApiModelProperty(value = "服务目录")
    private String catalogId;

    @ApiModelProperty(value = "数据服务类型(restful,wms,wfs,wmts....),从字典中获取")
    private String serviceType;

    @ApiModelProperty(value = "行政区划编码")
    private String adCode;

    @ApiModelProperty(value = "数据集ID")
    private String datasetId;

    @ApiModelProperty(value = "因为中多表查询的接口无法记录表id，所以必须有此冗余字段。")
    private String dbId;

    @ApiModelProperty(value = "restful接口url")
    private String url;

    @ApiModelProperty(value = "缩略图url")
    private String img;

    @ApiModelProperty(value = "查询类型，单表(singleTable)或者多表(multiTable)")
    private String type;

    @ApiModelProperty(value = "表id")
    private String tableId;

    @ApiModelProperty(value = "接口编码")
    private String interfaceCode;

    @ApiModelProperty(value = "返回数据设置的参数")
    private String dataOut;

    @ApiModelProperty(value = "插件json")
    private String pluginJson;

    @ApiModelProperty(value = "接口描述")
    private String des;

    @ApiModelProperty(value = "版本")
    private String version;

    @ApiModelProperty(value = "编码")
    private String key;

    @ApiModelProperty(value = "图层样式（SLD）")
    private String style;

    @ApiModelProperty(value = "最小显示级别")
    private String levelMin;

    @ApiModelProperty(value = "最大显示级别")
    private String levelMax;

    // 以下为扩展属性
    @ApiModelProperty(value = "表名称。此为扩展属性，表中不需要有相应的字段。")
    private String tableName;

    @ApiModelProperty(value = "表名称。此为扩展属性，表中不需要有相应的字段。")
    private String datasetName;

    @ApiModelProperty(value = "表名称。此为扩展属性，表中不需要有相应的字段。")
    private String dbName;

    @ApiModelProperty(value = "gateWay的主键id。服务发布--模块中所需的属性")
    private String gatewayId;

    @ApiModelProperty(value = "代理Url。服务发布--模块中所需的属性")
    private String gatewayUrl;

    @ApiModelProperty(value = "发布状态。服务发布--模块中所需的属性。")
    private boolean ifPublished;
}
