package net.wanji.databus.entity.basedata;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.sf.jftp.gui.tasks.BookmarkItem;
import org.apache.commons.lang3.StringUtils;

import java.util.List;

import static net.wanji.common.framework.Constants.DataTag.DATA_TAG_EDIT;
import static net.wanji.common.framework.Constants.DataTag.DATA_TAG_PUBLISH;

/**
 * <p>
 * 数据开发中心-数据资源管理-元数据视图
 * </p>
 *
 * @Author guoliang.dong
 * @Date 2020-12-25
 */
@Data
@ApiModel(value="TableView视图", description="数据开发中心-数据资源管理-元数据视图")
public class TableView extends TrackableEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(notes = "数据库 id")
    private String dbId;

    @ApiModelProperty(value = "数据表名称")
    private String nameEn;

    @ApiModelProperty(value = "数据表中文名称")
    private String nameCn;

    @ApiModelProperty(value = "数据类型")
    private String sourceType;

    @ApiModelProperty(value = "是否发布")
    private Boolean publishable;


    @ApiModelProperty(value = "是否可编辑")
    private Boolean editable;

    @ApiModelProperty(value = "来源于字典表，用逗号分隔：是否可编辑edit、可发布publish、可缓存cache、可挂接hook、可套和nest、可导出export、是否空间表geometry")
    private String features;

    @ApiModelProperty(notes = "表字段")
    private List<TableFields> tableFields;

    @ApiModelProperty(value = "数据表描述")
    private String description;
    @ApiModelProperty(value = "数据模板名称，不为空需要把对应的模型创建为实体表")
    private String dataModelName;
    private String dataModelId;

}
