package net.wanji.databus.entity.client.displaycenter;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @Date 2019/11/27 19:54
 **/
@Getter
@Setter
@ApiModel(value = "CollectRecord",description = "收藏记录")
public class CollectRecord extends TrackableEntity {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "收藏业务账号id")
    private String userId;

    @ApiModelProperty(value = "收藏消息历史记录id，可以为空，代表不是收藏的消息")
    private String messageHistoryId;

    @ApiModelProperty(value = "面板主题定义id，可以为空，代表不是收藏的主题")
    private String themeContent;

    @ApiModelProperty(value = "收藏名称")
    private String name;

    @ApiModelProperty(value = "收藏时间")
    @JSONField(format = "yyyy-MM-dd")
    private Date createTime;

    public static CollectRecord newInstance() {
        return new CollectRecord();
    }
}
