package net.wanji.databus.entity.client.displaycenter;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.sql.Timestamp;

/**
 * @Description:
 * @Date 2019/11/27 19:53
 **/
@Getter
@Setter
@ApiModel(value = "ShareRecord", description = "分享记录")
public class ShareRecord extends TrackableEntity {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "分享主题")
    private String name;

    @ApiModelProperty(value = "分享描述")
    private String description;

    @ApiModelProperty(value = "分享模式：open-公开模式；secret-隐私模式")
    private String mode;

    @ApiModelProperty(value = "分享时间")
    private Timestamp createTime;

    @ApiModelProperty(value = "web门户id")
    private String webPortalId;

    @ApiModelProperty(value = "面板主题内容")
    private String themeContent;

    @ApiModelProperty(value = "分享人业务账号id")
    private String originalUserId;

    //分享人用户姓名, 查询分享记录返回值字段
    private String originalUserName;

    //被分享人用户姓名, 查询分享记录返回值字段
    private String destinationUserName;

    @ApiModelProperty(value = "被分享人业务账号id，作为查询分享记录的条件")
    private String destinationUserId;

    @ApiModelProperty(value = "被分享人业务账号id数组")
    private String[] destUserIds;

    public static ShareRecord newInstance() {
        return new ShareRecord();
    }
}
