package net.wanji.databus.entity.client.frontdevelop;

import net.wanji.databus.entity.integration.servicegateway.d2a.view.D2ADataBaseView;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 跟应用相关的所有信息返回类
 * @Date 2020/4/8 12:01
 */
@Setter
@Getter
@ApiModel(value = "ApplicationAllInfoRepo", description = "跟应用相关的所有信息返回类")
public class ApplicationAllInfoRepo implements Serializable {

    private static final long serialVersionUID = 167056461877922813L;

    @ApiModelProperty(value = "应用id")
    private String id;

    @ApiModelProperty(value = "发布状态")
    private String publishStatus;

    @ApiModelProperty(value = "中文名")
    private String nameCn;

    @ApiModelProperty(value = "英文名")
    private String nameEn;

    @ApiModelProperty(value = "微服务名")
    private String serverName;

    @ApiModelProperty(value = "系统图标")
    private String image;

    @ApiModelProperty(value = "系统路径")
    private String url;

    @ApiModelProperty(value = "数据库配置")
    private List<D2ADataBaseView> d2ADataBaseViewList;

    @ApiModelProperty(value = "模块信息")
    private List<ModuleInfoRepo> moduleInfoRepoList;

    @ApiModelProperty(value = "菜单信息")
    private List<MenuRepo> menuList;
}
