package net.wanji.databus.entity.client.frontdevelop;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * Created by wanji on 2019/3/4.
 */
@Getter
@Setter
@ApiModel(value = "WebPage", description = "web页面")
public class WebPage extends TrackableEntity {

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "系统id")
    private String appId;

    @ApiModelProperty(value = "菜单id")
    private String menuId;

    @ApiModelProperty("页面所属用户id")
    private String userId;

    @ApiModelProperty("页面结构定义内容")
    private String structure;

    @ApiModelProperty("背景图路径")
    private String backgroundPath;

    @ApiModelProperty("缩略图路径")
    private String thumbPath;

    @ApiModelProperty("路径参数")
    private String pathParam;

    /**
     * 返回前端使用的结构化的页面内容
     * 专程对象格式的structure
     */
    private Object formatStructure;

    public static WebPage newInstance() {
        return new WebPage();
    }
}
