package net.wanji.databus.entity.client.identitymanagement;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Date 2019/11/27 18:42
 **/
@Getter
@Setter
@ApiModel(value = "AuthorityBase", description = "授权基类")
public class AuthorityBase extends TrackableEntity {

    @ApiModelProperty(value = "类型--菜单:1")
    String type;

    @ApiModelProperty(value = "认证id")
    String authorityObjectId;

    @ApiModelProperty(value = "授权主体id")
    String authorizedId;

    @ApiModelProperty(value = "授权资源所属应用id")
    String appId;

    public static AuthorityBase newInstance() {
        return new AuthorityBase();
    }

    public AuthorityBase() {
    }

    public  AuthorityBase (String id, String type,String appId, String authorityObjectId, String authorizedId) {
        this.id = id;
        this.type = type;
        this.appId = appId;
        this.authorityObjectId = authorityObjectId;
        this.authorizedId = authorizedId;
    }

//    public static List<AuthorityBase> buildJavaBeanList(String type, String authorizedId, List<String> authorityObjectIdList) {
//        List<AuthorityBase> authorityAuthorityBaseList = new LinkedList<>();
//        authorityObjectIdList.forEach(authorityOrganizationId -> {
//            authorityAuthorityBaseList.add(new AuthorityBase(IDGenerator.getID(), type, authorityOrganizationId, authorizedId));
//        });
//        return authorityAuthorityBaseList;
//    }
}

