package net.wanji.databus.entity.client.identitymanagement;

import net.wanji.common.framework.domain.TrackableEntity;
import net.wanji.common.utils.tool.IDGenerator;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.LinkedList;
import java.util.List;

/**
 * @Description:
 * @Date 2019/11/27 18:42
 **/
@Getter
@Setter
@ApiModel(value = "AuthorityBusinessAccount", description = "授权业务账号")
public class AuthorityBusinessAccount extends TrackableEntity {

    @ApiModelProperty(value = "类型--菜单:1")
    private String type;

    @ApiModelProperty(value = "认证资源所属应用id")
    private String appId;

    @ApiModelProperty(value = "认证id")
    private String authorityObjectId;

    @ApiModelProperty(value = "业务账号id")
    private String BusinessAccountId;

    public static AuthorityBusinessAccount newInstance() {
        return new AuthorityBusinessAccount();
    }

    public AuthorityBusinessAccount() {
    }

    public AuthorityBusinessAccount(String id, String type,String appId, String authorityObjectId, String businessAccountId) {
        this.id = id;
        this.type = type;
        this.authorityObjectId = authorityObjectId;
        this.BusinessAccountId = businessAccountId;
        this.appId = appId;
    }

    public static List<AuthorityBusinessAccount> buildJavaBeanList(String type, String companyUserId,String appId, List<String> authorityObjectIdList) {
        List<AuthorityBusinessAccount> authorityCompanyUserList = new LinkedList<>();
        authorityObjectIdList.forEach(authorityCompanyUserId -> {
            authorityCompanyUserList.add(new AuthorityBusinessAccount(IDGenerator.getID(), type,appId, authorityCompanyUserId, companyUserId));
        });
        return authorityCompanyUserList;
    }
}

