package net.wanji.databus.entity.client.identitymanagement;

import net.wanji.common.utils.tool.IDGenerator;
import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;

import java.util.LinkedList;
import java.util.List;

/**
 * @Description:
 * @Date 2019/11/27 18:42
 **/
@Getter
@Setter
@ApiModel(value = "AuthorityOrganization", description = "授权机构")
public class AuthorityOrganization extends AuthorityBase {

    public AuthorityOrganization(String id, String type,String appId, String authorityObjectId, String authorizedId) {
        this.id = id;
        this.type = type;
        this.appId = appId;
        this.authorityObjectId = authorityObjectId;
        this.authorizedId = authorizedId;
    }

    public static List<AuthorityOrganization> buildJavaBeanList(String type, String organizationId,String appId, List<String> authorityObjectIdList) {
        List<AuthorityOrganization> authorityOrganizationList = new LinkedList<>();
        authorityObjectIdList.forEach(authorityOrganizationId -> {
            authorityOrganizationList.add(new AuthorityOrganization(IDGenerator.getID(), type,appId, authorityOrganizationId, organizationId));
        });
        return authorityOrganizationList;
    }
}

