package net.wanji.databus.entity.client.identitymanagement;

import net.wanji.common.framework.domain.TrackableEntity;
import net.wanji.common.utils.tool.IDGenerator;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.LinkedList;
import java.util.List;

/**
 * @Description:
 * @Date 2019/11/27 18:41
 **/
@Getter
@Setter
@ApiModel(value = "AuthorityRole", description = "认证角色")
public class AuthorityRole extends TrackableEntity {

    @ApiModelProperty(value = "类型")
    private String type;

    @ApiModelProperty(value = "认证id")
    private String authorityObjectId;

    @ApiModelProperty(value = "角色id")
    private String roleId;

    public static AuthorityRole newInstance() {
        return new AuthorityRole();
    }

    public AuthorityRole() {
    }

    public AuthorityRole(String id, String type, String authorityObjectId, String roleId) {
        this.id = id;
        this.type = type;
        this.authorityObjectId = authorityObjectId;
        this.roleId = roleId;
    }

    public static List<AuthorityRole> buildJavaBeanList(String type, String roleId, List<String> authorityObjectIdList) {
        List<AuthorityRole> authorityRoleList = new LinkedList<>();
        authorityObjectIdList.forEach(authorityRoleId -> {
            authorityRoleList.add(new AuthorityRole(IDGenerator.getID(), type, authorityRoleId, roleId));
        });
        return authorityRoleList;
    }
}

