package net.wanji.databus.entity.common;

import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Author
 * @Description
 * @Date 11:17 2020/10/19
 * @Param
 * @return
 * @throws
 */
@Setter
@Getter
@ApiModel(value = "Chunk", description = "分片类")
public class Chunk {

    /**
     * 文件块id
     */
    private String id;
    /**
     * 当前文件块，从0开始
     */

    private Integer chunkNumber;
    /**
     * 分块大小
     */

    private Long chunkSize;
    /**
     * 当前分块大小
     */

    private Long currentChunkSize;
    /**
     * 总大小
     */

    private Long totalSize;
    /**
     * 文件标识
     */

    private String identifier;


    /**
     * 总块数
     */

    private Integer totalChunks;
    /**
     * 文件类型
     */

    private String type;

    private MultipartFile file;

    private String fileName;

    public Chunk( int chunkNumber, long chunkSize, long currentChunkSize, long totalSize,
                            String identifier, String filename,  int totalChunks,
                            MultipartFile upfile){
        this.setIdentifier(identifier);
        this.setChunkNumber(chunkNumber);
        this.setChunkSize(chunkSize);
        this.setCurrentChunkSize(currentChunkSize);
        this.setTotalSize(totalSize);
        this.setTotalChunks(totalChunks);
        this.setFile(upfile);
        this.setFileName(filename);
    }
}
