package net.wanji.databus.entity.component;

import net.wanji.common.framework.domain.TrackableEntity;
import net.wanji.databus.entity.component.DTO.ComponentDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @ClassName ComponentGroup
 * @Description
 * @Author
 * @Date 2020/5/19 15:19
 * @Version 1.0
 */
@Setter
@Getter
@ApiModel(value = "ComponentGroup", description = "页面设计器-组件定义分组表")
public class ComponentGroup extends TrackableEntity {
    @ApiModelProperty(value = "唯一标识")
    private String id;

    @ApiModelProperty(value = "组件分组标识名  前端解析用  唯一")
    private String key;

    @ApiModelProperty(value = "组件分组名称")
    private String name;

    @ApiModelProperty(value = "组件分组图标地址")
    private String iconUrl;

    @ApiModelProperty(value = "英文名称")
    private String nameEn;

    @ApiModelProperty(value = "标签")
    private String tag;

    @ApiModelProperty(value = "组件 list")
    private List<ComponentDTO> components;
}
