package net.wanji.databus.entity.component;

import net.wanji.common.framework.domain.TrackableEntity;
import net.wanji.databus.entity.component.DTO.TemplateDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "TemplateGroup", description = "页面设计器-模板定义分组表")
public class WebPageTemplateGroup extends TrackableEntity {
    @ApiModelProperty(value = "唯一标识")
    private String id;

    @ApiModelProperty(value = "模板分组标识名  前端解析用  唯一")
    private String key;

    @ApiModelProperty(value = "模板分组名称")
    private String name;

    @ApiModelProperty(value = "模板分组图标地址")
    private String iconUrl;

    @ApiModelProperty(value = "英文名称")
    private String nameEn;

    @ApiModelProperty(value = "标签")
    private String tag;

    @ApiModelProperty(value = "模板 list")
    private List<TemplateDTO> templates;
}
