package net.wanji.databus.entity.component.webresource;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName WebResource
 * @Description
 * @Author ${wanji}
 * @Date 2020/5/29 8:43
 * @Version 1.0
 */
@Setter
@Getter
@ApiModel(value = "WebResource", description = "页面设计器-资源表")
public class WebResource extends TrackableEntity {
    @ApiModelProperty(value = "唯一标识")
    private String id;

    @ApiModelProperty(value = "资源所属分组id")
    private String groupId;

    @ApiModelProperty(value = "资源原始名称-第一次上传时的文件名称")
    private String originalName;

    @ApiModelProperty(value = "资源名称")
    private String name;

    @ApiModelProperty(value = "资源类型")
    private String type;

    @ApiModelProperty(value = "资源大小")
    private Long fileSize;

    @ApiModelProperty(value = "资源后缀名")
    private String suffix;

    @ApiModelProperty(value = "资源md5编码")
    private String md5;

    @ApiModelProperty(value = "上传人ID")
    private String uploadUserId;

    @ApiModelProperty(value = "文件保存地址")
    private String url;

    @ApiModelProperty(value = "文件保存全路径")
    private String fullUrl;

    @ApiModelProperty(value = "缩略图保存地址")
    private String thumbnailUrl;
}
