package net.wanji.databus.entity.datasource;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import net.wanji.common.framework.domain.TrackableEntity;

/**
 * <p>
 * 设备数据源信息
 * </p>
 *
 * @Author guoliang.dong@wanji.com
 * @Date 2022-04-19
 */
@Data
@ApiModel(value="DatasourceInfo对象", description="")
public class DatasourceInfo extends TrackableEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "设备编号")
    private String tzid;

    @ApiModelProperty(value = "地址")
    private String ip;

    @ApiModelProperty(value = "端口")
    private String port;

    @ApiModelProperty(value = "数据库")
    private String database;

    @ApiModelProperty(value = "测试参数")
    private String param;

    @ApiModelProperty(value = "数据源类型")
    private String datasourceType;

    @ApiModelProperty(value = "用户名")
    private String user;

    @ApiModelProperty(value = "密码")
    private String pwd;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "数据库的模式")
    private String schema;




}
