package net.wanji.databus.entity.datasource;


import com.fasterxml.jackson.annotation.JsonInclude;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


/**
 * @Description:
 * @Author
 * @Date 2020/6/16 17:50
 */
@Setter
@Getter
@ApiModel(value = "DataSourceFile", description = "基础数据中心-文件数据源")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FileDataSource extends TrackableEntity {

  @ApiModelProperty(value = "名称")
  private String name;

  @ApiModelProperty(value = "文件MD5")
  private String md5;

  @ApiModelProperty(value = "文件数据源描述")
  private String description;

  @ApiModelProperty(value = "数据源目录ID")
  private String catalogId;

  @ApiModelProperty(value = "文件类型(shapefile,geotiff,osgb,excel,csv)")
  private String fileType;

  @ApiModelProperty(value = "文件路径")
  private String url;

  @ApiModelProperty(value = "用户名")
  private String user;

  @ApiModelProperty(value = "用户密码")
  private String pwd;

  @ApiModelProperty(value = "文件版本")
  private String version;

  @ApiModelProperty(value = "版本描述")
  private String versionDes;

  @ApiModelProperty(value = "访问方式")
  private String accessWay;


}
