package net.wanji.databus.entity.develop.portaldevelop;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 门户开发-文章信息类
 * @Author
 * @Date 2020/6/16 17:20
 */
@Setter
@Getter
@ApiModel(value = "Article", description = "门户开发-文章信息")
public class Article extends TrackableEntity {

    @ApiModelProperty(value = "文章标题")
    private String title;

    @ApiModelProperty(value = "文章分类")
    private String item;

    @ApiModelProperty(value = "关键字")
    private String keywords;

    @ApiModelProperty(value = "文章摘要")
    private String description;

    @ApiModelProperty(value = "封面图")
    private String image;

    @ApiModelProperty(value = "正文")
    private String content;

    @ApiModelProperty(value = "是否置顶")
    private Integer order;

    @ApiModelProperty(value = "文章路径")
    private String url;

    @ApiModelProperty(value = "文章作者")
    private String author;

    @ApiModelProperty(value = "是否已发布")
    private Integer status;

    @ApiModelProperty(value = "点击数")
    private Integer hints;

    public static Article newInstance() {
        return new Article();
    }
}
