package net.wanji.databus.entity.develop.repo;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 组件
 */
@Setter
@Getter
@ApiModel(value = "RepoModule", description = "组件")
public class RepoModule extends TrackableEntity {
    @ApiModelProperty(value = "S_ID")
    private String id;

    @ApiModelProperty(value = "所属组件类型")
    private String typeId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "jar 文件名称")
    private String fileName;

    @ApiModelProperty(value = "上下线状态（1 上线状态 2 下线状态）")
    private String enable;

    @ApiModelProperty(value = "版本")
    private String version;

    @ApiModelProperty(value = "路径")
    private String url;

    @ApiModelProperty(value = "本地路径")
    private String localPath;

    @ApiModelProperty(value = "包路径")
    private String spackage;

    @ApiModelProperty(value = "介绍")
    private String description;

    @ApiModelProperty(value = "文件系统路径")
    private String path;

    @ApiModelProperty(value = "DT_CREATE_DATE")
    private Date createDate;
}
