package net.wanji.databus.entity.develop.searchcenter;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @ProjectName: gisc-platform
 * @Package: net.wanji.design.entity.searchCenter
 * @ClassName: SearchFields
 * @Author: wanji
 * @Description:
 * @Date: 2020/3/16 11:13
 * @Version: 1.0
 */
@Setter
@Getter
@ApiModel(value = "SearchFields" , description = "表字段")
public class SearchFields extends TrackableEntity {
    @ApiModelProperty(value = "UUID")
    private String id;

    @ApiModelProperty(value = "表id")
    private String tableId;

    @ApiModelProperty(value = "字段名")
    private String fieldName;

    @ApiModelProperty(value = "字段中文名")
    private String fieldNameCn;

    @ApiModelProperty(value = "字段类型")
    private String type;

    @ApiModelProperty(value = "字段长度")
    private String length;

    @ApiModelProperty(value = "是否主键")
    private String isPk;

    @ApiModelProperty(value = "是否空值")
    private String isNull;

    @ApiModelProperty(value = "默认值")
    private String defaultValue;

    public static SearchFields newInstance(){return new SearchFields();}
}
