package net.wanji.databus.entity.develop.searchcenter;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @ProjectName: gisc-platform
 * @Package: net.wanji.design.entity.searchCenter
 * @ClassName: SearchTable
 * @Author: wanji
 * @Description:  搜索中心 索引配置 es表结构定义
 * @Date: 2020/3/16 11:16
 * @Version: 1.0
 */
@Setter
@Getter
@ApiModel(value = "SearchFields" , description = "表字段")
public class SearchTable extends TrackableEntity {
    @ApiModelProperty(value = "UUID")
    private String id;

    @ApiModelProperty(value = "应用id")
    private String appId;

    @ApiModelProperty(value = "中文名")
    private String nameCn;

    @ApiModelProperty(value = "英文名")
    private String nameEn;

    public static SearchTable newInstance(){return new SearchTable();}
}
