package net.wanji.databus.entity.develop.servicedevelop.appmanage;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

/**
 * @Description: 应用导出状态实体类
 * @Author
 * @Date 2020/6/30 13:03
 */
@Data
@ApiModel(value = "AppExportStatus", description = "微服务开发-应用导入/导出状态")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AppExportStatus implements Serializable {

    @ApiModelProperty(value = "记录导入/导出开始时间", example = "2016-08-01 10:22:30")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    @ApiModelProperty(value = "记录导入/导出完成时间", example = "2016-08-01 10:22:30")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "上次导入/导出结束到现在时长，单位为秒", example = "11111")
    private Long finishTime;

    @ApiModelProperty(value = "导入/导出完成状态，succeed/running/failed")
    private String status;

    @ApiModelProperty(value = "导出信息")
    private Map<String, Object> downloadInfo;

    @ApiModelProperty(value = "应用信息-导入/导出进度详情，包括运行状态status和已处理条数finishNum",example = "{status: succeed/running/failed, finishNum: 1}")
    private Map<String, Object> appInfo;

    @ApiModelProperty(value = "前台组件仓库-导入/导出进度详情，包括运行状态status和已处理条数finishNum")
    private Map<String, Object> componentInfo;

    @ApiModelProperty(value = "前台配置-导入/导出进度详情，包括运行状态status和已处理条数finishNum")
    private Map<String, Object> frontInfo;

    @ApiModelProperty(value = "bpm定义-导入/导出进度详情，包括运行状态status和已处理条数finishNum")
    private Map<String, Object> bpmInfo;

    @ApiModelProperty(value = "基础接口-导入/导出进度详情，包括运行状态status和已处理条数finishNum")
    private Map<String, Object> basicInterfaceInfo;

    @ApiModelProperty(value = "业务接口(api定义和业务接口定义)-导入/导出进度详情，包括运行状态status和已处理条数finishNum")
    private Map<String, Object> businessInterfaceInfo;

    @ApiModelProperty(value = "基础数据-表结构定义-导入/导出进度详情，包括运行状态status和已处理条数finishNum")
    private Map<String, Object> tableInfo;

    @ApiModelProperty(value = "模块列表数据-导入/导出进度详情，包括运行状态status和已处理条数finishNum")
    private Map<String, Object> moduleInfo;

    @ApiModelProperty(value = "基础数据-数据字典-导入/导出进度详情，包括运行状态status和已处理条数finishNum")
    private Map<String, Object> dictInfo;

    @ApiModelProperty(value = "JavaModule-导入/导出进度详情，包括运行状态status和已处理条数finishNum")
    private Map<String, Object> javaModuleInfo;

    @ApiModelProperty(value = "mq配置-导导入/出进度详情，包括运行状态status和已处理条数finishNum")
    private Map<String, Object> mqConfInfo;

    @ApiModelProperty(value = "邮件服务配置-导入/导出进度详情，包括运行状态status和已处理条数finishNum")
    private Map<String, Object> emailConfInfo;

    @ApiModelProperty(value = "bpm历史数据-导入/导出进度详情，包括运行状态status和已处理条数finishNum")
    private Map<String, Object> bpmHistoryInfo;

    @ApiModelProperty(value = "管理员配置-导入/导出进度详情，包括运行状态status和已处理条数finishNum")
    private Map<String, Object> adminConfInfo;

    @ApiModelProperty(value = "组织用户-导入/导出进度详情，包括运行状态status和已处理条数finishNum")
    private Map<String, Object> organizationAndUserInfo;

}
