package net.wanji.databus.entity.develop.servicedevelop.appmanage;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/3/17 18:30
 */
@Setter
@Getter
@ApiModel(value = "Application", description = "微服务开发-微服务系统")
public class Application extends TrackableEntity {

    @ApiModelProperty(value = "系统中文名")
    private String nameCn;

    @ApiModelProperty(value = "系统英文名")
    private String nameEn;

    @ApiModelProperty(value = "应用类别(respository-应用仓库，external-外部系统，internal-内部系统，orchestration-服务编排)")
    private String type;

    private String typeNameCn;

    @ApiModelProperty(value = "发布状态(unpublish-未发布，publish-已发布)")
    private String status;

    @ApiModelProperty(value = "系统图标")
    private String image;

    @ApiModelProperty(value = "系统路径")
    private String url;

    @ApiModelProperty(value = "菜单布局(left-左侧，top-顶部，mixed-左侧与顶部)")
    private String menuLayout;

    @ApiModelProperty(value = "loginUrl")
    private String loginUrl;

    @ApiModelProperty(value = "默认主题id")
    private String defaultSubjectId;

    @ApiModelProperty(value = "常用字段")
    private Boolean common;

    @ApiModelProperty(value = "邮件id")
    private String emailId;
    /**
     * map:
     * {
     * read: List<messageConsumeHistory>
     * noRead: List<messageConsumeHistory>
     * }
     */
    private Map<String, Object> messageConsumeHistoryMap;

    @ApiModelProperty(value = "类型id")
    private String typeId;

    @ApiModelProperty(value = "是否发布状态")
    private String publicStatus;

    public static Application newInstance() {
        return new Application();
    }
}
