package net.wanji.databus.entity.develop.servicedevelop.appmanage;

import net.wanji.common.framework.domain.TrackableEntity;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 应用类型
 * @Author
 * @Date 2020/6/23 9:47
 */
@Setter
@Getter
@ApiModel(value = "ApplicationType", description = "应用类型")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ApplicationType extends TrackableEntity {

    @ApiModelProperty(value = "类型中文名")
    private String nameCn;

    @ApiModelProperty(value = "类型英文名")
    private String nameEn;

    @ApiModelProperty(value = "父节点id")
    private String parentId;

    @ApiModelProperty(value = "节点所在树的层级")
    private Integer level;

    @ApiModelProperty(value = "是否包含树")
    private Boolean treeIncluded;

    public static ApplicationType newInstance() {
        return new ApplicationType();
    }
}
