package net.wanji.databus.entity.develop.servicedevelop.bpm;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/4/23 15:48
 */
@Setter
@Getter
@ApiModel(value = "LeaveWorkflowInfo", description = "请假流程信息")
public class LeaveWorkflowInfo extends TrackableEntity {

    @ApiModelProperty(value = "申请人姓名")
    private String applicantName;

    @ApiModelProperty(value = "开始时间")
    @JSONField(format = "yyyy-MM-dd")
    private Date startDate;

    @ApiModelProperty(value = "结束时间")
    @JSONField(format = "yyyy-MM-dd")
    private Date endDate;

    @ApiModelProperty(value = "请假时间")
    private Integer leaveDays;

    @ApiModelProperty(value = "请假类型")
    private String leaveType;

    @ApiModelProperty(value = "请假原因")
    private String leaveReason;

    @ApiModelProperty(value = "流程实例id")
    private String workflowId;

    @ApiModelProperty(value = "流程实例名称")
    private String workflowName;

    @ApiModelProperty(value = "当前节点")
    private String currentNode;

    @ApiModelProperty(value = "发起人")
    private String promoter;

    @ApiModelProperty(value = "归属人")
    private String belonger;

    @ApiModelProperty(value = "流程状态")
    private String status;

    public static LeaveWorkflowInfo newInstance() { return new LeaveWorkflowInfo(); }
}
