package net.wanji.databus.entity.develop.servicedevelop.bpm.processemulate;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 类描述: 流程查询结果集定义类, 我的审批
 *
 * @Author
 * @Date 2019/8/28 15:18
 */
@Getter
@Setter
@ApiModel(value = "ProcessApprovalQueryResult", description = "我的审批流程查询结果集定义类")
public class ProcessApprovalQueryResult implements Serializable {

    @ApiModelProperty(value = "抄送记录uuid")
    private String copyToId;

    @ApiModelProperty(value = "抄送人id")
    private String copyToUserId;

    @ApiModelProperty(value = "抄送人名称")
    private String copyToUserName;

    @ApiModelProperty(value = "抄送创建时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private Date copyToTime;

    @ApiModelProperty(value = "流程定义id")
    private String processDefinitionId;

    @ApiModelProperty(value = "流程节点定义id")
    private String nodeId;

    @ApiModelProperty(value = "流程节点定义id")
    private String nodeName;

    @ApiModelProperty(value = "流程实例id")
    private String processInstanceId;

    @ApiModelProperty(value = "流程实例名称")
    private String processInstanceName;

    @ApiModelProperty(value = "流程创建用户id")
    private String startUserId;

    @ApiModelProperty(value = "流程创建用户名称")
    private String startUserName;

    @ApiModelProperty(value = "流程创建时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private Date startTime;

    @ApiModelProperty(value = "流程完成时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private Date endTime;

    @ApiModelProperty(value = "任务是否挂起")
    private Integer taskSuspendsionState;

    @ApiModelProperty(value = "是否为激活状态")
    private Integer isActive;

    @ApiModelProperty(value = "执行实例是否挂起")
    private Integer exeSuspensionState;

    @ApiModelProperty(value = "当前任务id")
    private String taskId;

    @ApiModelProperty(value = "当前任务归属人id，多个时以逗号分隔")
    private String taskUserId;

    @ApiModelProperty(value = "当前任务名称，多个时以逗号分隔")
    private String taskUserName;

    @ApiModelProperty(value = "审批意见")
    private String message;

    @ApiModelProperty(value = "删除原因")
    private String deleteReason;

    private List<String> authorities = new ArrayList<>();

    /**
     * 描述: 构造函数
     *
     * @return net.wanji..design.entity.processemulate.ProcessApprovalQueryResult
     * @Author
     * @Date 2019/8/27 17:10
     **/
    public static ProcessApprovalQueryResult newInstance() {
        return new ProcessApprovalQueryResult();
    }

}
