package net.wanji.databus.entity.develop.servicedevelop.bpm.processemulate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 类描述: 流程处理消息实体对象
 * 1、启动流程
 * 2、审批通过
 * 3、审批不通过，驳回到指定节点
 * 4、委派
 * 5、挂起
 * 6、激活
 * 7、终止
 *
 * @Author
 * @Date 2019/8/28 13:57
 */
@Getter
@Setter
@ApiModel(value = "ProcessDealInfo", description = "流程处理消息实体对象")
public class ProcessDealInfo implements Serializable {

    @ApiModelProperty(value = "流程定义id")
    private String processDefinitionId;

    @ApiModelProperty(value = "流程运行实例id")
    private String processInstanceId;

    @ApiModelProperty(value = "任务id")
    private String taskId;

    @ApiModelProperty(value = "处理人id")
    private String userId;

    @ApiModelProperty(value = "处理类型，start-启动、approve-通过、disapprove-驳回、transfer-委派、suspend-挂起、active-激活")
    private String type;

    @ApiModelProperty(value = "处理意见")
    private String comment;

    @ApiModelProperty(value = "处理内容, 控制逻辑参数")
    private String content;

    @ApiModelProperty(value = "流程变量，变量用于控制流程路由")
    private Object condition;

    @ApiModelProperty(value = "流程表单")
    private Object formData;



    /**
     * 描述: 构造函数
     *
     * @return net.wanji..design.entity.processemulate.ProcessDealInfo
     * @Author
     * @Date 2019/8/27 17:10
     **/
    public static ProcessDealInfo newInstance() {
        return new ProcessDealInfo();
    }

}
