package net.wanji.databus.entity.develop.servicedevelop.bpm.processemulate;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * 类描述: 流程查询条件rest参数
 *
 * @Author
 * @Date 2019/8/28 15:17
 */
@Getter
@Setter
@ApiModel(value = "ProcessQueryCondition", description = "流程查询条件rest参数")
public class ProcessQueryCondition implements Serializable {

    @ApiModelProperty(value = "流程定义类型")
    private String processDefType;

    @ApiModelProperty(value = "流程定义id")
    private String processDefId;

    @ApiModelProperty(value = "流程定义名称")
    private String processDefName;

    @ApiModelProperty(value = "发起人名称，模糊匹配")
    private String startUserName;

    @ApiModelProperty(value = "所属用户id")
    private String userId;

    @ApiModelProperty(value = "待办人名称")
    private String assignedUserName;

    @ApiModelProperty(value = "发起时间，起始位置")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private Date startTime;

    @ApiModelProperty(value = "发起时间，结束位置")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private Date endTime;

    @ApiModelProperty(value = "抄送任务状态")
    private Boolean copyToReadStatus;

    @ApiModelProperty(value = "任务是否通过状态")
    private Boolean isApproved;

    @ApiModelProperty(value = "每页显示的总条数", example = "10", dataType = "int")
    private int pageSize = 10;

    @ApiModelProperty(value = "当前页", example = "1", dataType = "int")
    private int pageNum = 1;

    /*查询参数，起始行号*/
    private int startRowNum = 0;

    /**
     * 描述: 构造函数
     *
     * @return net.wanji..design.entity.processemulate.ProcessQueryCondition
     * @Author
     * @Date 2019/8/27 17:10
     **/
    public static ProcessQueryCondition newInstance() {
        return new ProcessQueryCondition();
    }

}
