package net.wanji.databus.entity.develop.servicedevelop.bpm.processemulate;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * 类描述: 流程运行历史记录查询结果集定义类
 *
 * @Author
 * @Date 2019/8/28 15:18
 */
@Getter
@Setter
@ApiModel(value = "ProcessRunHistoryQueryResult", description = "流程运行历史记录查询结果集定义类")
public class ProcessRunHistoryQueryResult implements Serializable {

    @ApiModelProperty(value = "流程运行实例id")
    private String processInstanceId;

    @ApiModelProperty(value = "流程节点定义id")
    private String nodeId;

    @ApiModelProperty(value = "流程节点定义名称")
    private String nodeName;

    @ApiModelProperty(value = "流程节点类型，activiti定义的")
    private String nodeType;

    @ApiModelProperty(value = "节点开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private Date startTime;

    @ApiModelProperty(value = "节点结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private Date endTime;

    @ApiModelProperty(value = "启动用户id")
    private String startUserId;

    @ApiModelProperty(value = "启动用户名称")
    private String startUserName;

    @ApiModelProperty(value = "任务id")
    private String taskId;

    @ApiModelProperty(value = "任务处理人id")
    private String taskUserId;

    @ApiModelProperty(value = "任务处理人名称")
    private String taskUserName;

    @ApiModelProperty(value = "流程处理意见类型，用于表示同意、不同意状态")
    private String commentType;

    @ApiModelProperty(value = "流程处理意见概要")
    private String commentMsg;

    @ApiModelProperty(value = "流程处理意见详情")
    private String commentFullMsg;

    /**
     * 描述: 构造函数
     *
     * @return net.wanji..design.entity.processemulate.ProcessRunHistoryQueryResult
     * @Author
     * @Date 2019/8/27 17:10
     **/
    public static ProcessRunHistoryQueryResult newInstance() {
        return new ProcessRunHistoryQueryResult();
    }

}
