package net.wanji.databus.entity.develop.servicedevelop.bpm.processemulate;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * 类描述: 用户发起流程记录查询结果集定义类, 我的请求
 *
 * @Author
 * @Date 2019/8/30 15:18
 */
@Getter
@Setter
@ApiModel(value = "ProcessUserRequestQueryResult", description = "用户发起流程记录查询")
public class ProcessUserRequestQueryResult implements Serializable {

    @ApiModelProperty(value = "流程定义id")
    private String processDefinitionId;

    @ApiModelProperty(value = "流程实例id")
    private String processInstanceId;

    @ApiModelProperty(value = "流程实例名称")
    private String processInstanceName;

    @ApiModelProperty(value = "当前任务节点名称")
    private String nodeName;

    @ApiModelProperty(value = "当前任务节点id")
    private String nodeId;

    @ApiModelProperty(value = "流程创建时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private Date startTime;

    @ApiModelProperty(value = "流程完成时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private Date endTime;

    @ApiModelProperty(value = "任务当前归属人id")
    private String assignedUserId;

    @ApiModelProperty(value = "任务当前归属人名称")
    private String assignedUserName;

    @ApiModelProperty(value = "流程是否挂起")
    private Boolean exeSuspensionState;

    @ApiModelProperty(value = "流程是否激活")
    private Boolean isActive;

    @ApiModelProperty(value = "流程是否作废")
    private String deleteReason;

    /**
     * 描述: 构造函数
     *
     * @return net.wanji..design.entity.processemulate.ProcessUserRequestQueryResult
     * @Author
     * @Date 2019/8/27 17:10
     **/
    public static ProcessUserRequestQueryResult newInstance() {
        return new ProcessUserRequestQueryResult();
    }

}
