package net.wanji.databus.entity.develop.servicedevelop.bpm.processengine;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 类描述: 抄送记录表对应实体类
 *
 * @Author
 * @Date 2019/9/5 9:41
 */
@Getter
@Setter
@ApiModel(value = "CopyTo", description = "抄送记录表对应实体类")
public class CopyTo extends TrackableEntity {

    @ApiModelProperty(value = "流程定义id")
    private String processDefId;

    @ApiModelProperty(value = "流程运行实例id")
    private String processInstId;

    @ApiModelProperty(value = "抄送用户id")
    private String userId;

    @ApiModelProperty(value = "抄送是否已读")
    private Boolean readStatus;

    @ApiModelProperty(value = "流程处理任务id")
    private String taskId;

    @ApiModelProperty(value = "用户有效期截止时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private Date createTime;

    /**
     * 描述: 构造函数
     *
     * @return net.wanji..design.entity.processengine.CompleTaskInfo
     * @Author
     * @Date 2019/9/5 17:10
     **/
    public static CopyTo newInstance() {
        return new CopyTo();
    }
}
