package net.wanji.databus.entity.develop.servicedevelop.bpm.processengine;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 类描述: 任务完成提交信息 todo delete
 *
 * @Author
 * @Date 2019/8/5 17:08
 */
@Getter
@Setter
@ApiModel(value = "TaskHistoryInfo", description = "任务运行历史记录")
public class TaskHistoryInfo extends TrackableEntity {

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "起始节点")
    private String startNodeName;

    @ApiModelProperty(value = "起始人")
    private String startNodeUserName;

    @ApiModelProperty(value = "结束节点")
    private String endNodeName;

    @ApiModelProperty(value = "结束处理用户id")
    private String endNodeUserName;

    @ApiModelProperty(value = "审批结果")
    private String compleInfo;

    @ApiModelProperty(value = "审批信息")
    private List<String> comment;

    /**
     * 描述: 构造函数
     *
     * @return net.wanji..design.entity.process.TaskHistoryInfo
     * @Author
     * @Date 2019/8/9 15:35
     **/
    public static TaskHistoryInfo newInstance() {
        return new TaskHistoryInfo();
    }
}
