package net.wanji.databus.entity.develop.servicedevelop.bpm.processengine.parse;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 类描述: 审批节点属性配置定义
 *
 * @Author
 * @Date 2019/8/23 13:17
 */
@Getter
@Setter
public class ApprovalNodeProp {

    private BasicInfo basicInfo; //审批节点基本信息

    private List<AssignedUser> actorUser; //处理人配置

    private List<AssignedUser> copyToUser; //抄送人配置

    private CompleteCondition completeCondition; //完成条件配置

    private List<Notice> noticeInfo; //流程通知配置

    /*内部类，流程通知配置，static，否则JsonObject无法自动转换*/
    @Getter
    @Setter
    public static class Notice {
        private String type; //通知类型，email、message
        private List<String> to; //通知人，start-流程发起人，next-下一节点处理人
    }

    /*内部类，流程节点，static，否则JsonObject无法自动转换*/
    @Getter
    @Setter
    public static class BasicInfo {
        private String name; //节点名称
        private Boolean signatureType; //会签属性, true-会签、false-非会签
        private Boolean copyOrNot; //是否抄送
    }

    /*内部类，流程节点，static，否则JsonObject无法自动转换*/
    @Getter
    @Setter
    public static class AssignedUser {
        private String type; //处理人指定类型，按照岗位、按部门、交集、sql等
        private ActorUser content; //处理人指定内容
        private List<String> authority; //权限类型，1-查看、2-审批、3-委派、4-退回

        /*内部类，流程节点，static，否则JsonObject无法自动转换*/
        @Setter
        @Getter
        public static class ActorUser {
            private List<String> companys; //企业ids
            private List<String> departments; //部门ids
            private List<String> stations; //岗位ids
            private List<String> roles; //角色ids
            private List<String> companyUsers; //企业用户ids
            private List<ActorUser> union; //取并集
            private List<ActorUser> intersection; //取交集
        }
    }


    /*内部类，流程节点，static，否则JsonObject无法自动转换*/
    @Getter
    @Setter
    public static class CompleteCondition {
        private String type; //完成条件类型，根据juel表达式、groovy脚本、sql
        private String content; //完成条件内容
    }

}
