package net.wanji.databus.entity.develop.servicedevelop.bpm.processengine.parse;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 类描述: 自动节点属性配置定义
 *
 * @Author
 * @Date 2019/8/23 13:15
 */
@Getter
@Setter
public class AutoNodeProp {

    private Mail mail; //邮件字段

    private Message message; //短信字段

    private List<String> globalVariables; //流程全局变量，只读

    /*内部类，流程节点，static，否则JsonObject无法自动转换*/
    @Getter
    @Setter
    public static class Mail {
        private List<String> messageAddressee; //收件人, 数组
        private List<String> messageRecipient; //抄送人, 数组
        private List<String> secretSendOff; //密送人, 数组
        private String subject; //主题
        private String mainBody; //正文
    }

    /*内部类，流程节点，static，否则JsonObject无法自动转换-功能暂不实现*/
    @Getter
    @Setter
    public static class Message {
        private List<String> letterAddressee; //收件人, 数组
        private String shortMessage; //短信内容
    }

}
