package net.wanji.databus.entity.develop.servicedevelop.bpm.processmanager;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description: 流程实体
 * @Author: xinrui.li
 * @Date: 2020/04/14/17:54
 */
@Getter
@Setter
@ApiModel(value = "WorkflowInst", description = "流程实例数据库实体类")
public class WorkflowInst  extends TrackableEntity {
    public static final String  STATUS = "status";
    public static final String  SUCCESS = "success";
    public static final String  CONTENT = "content";
    public static final String  USER = "user";
    public static final String  NAME = "name";
    public static final String  UN_START = "unStart";
    public static final String  AUDIT = "audit";
    public static final String  REJECT = "reject";
    public static final String  DESTORY = "destory";
    //未启动和完成的不能暂停
    public static final String  PAUSE = "pause";

    @ApiModelProperty(value = "流名称")
    private String name;

    @ApiModelProperty(value = "流程定义id")
    private String workflowId;

    @ApiModelProperty(value = "unStart : 未启动，审批中：audit，完成：success，驳回：reject")
    private String status;

    @ApiModelProperty(value = "流程实例定义id，api返回")
    private String workflowInstId;

    @ApiModelProperty(value = "创建用户，即paoyo业务账号id")
    private String createUserId;

    @ApiModelProperty(value = "节点ID")
    private String currentActivityId;

    @ApiModelProperty(value = "当前任务id")
    private String currentTaskId;

    @ApiModelProperty(value = "当前任务名称")
    private String currentTaskName;

    @ApiModelProperty(value = "当前任务待处理人")
    private String currentTaskDispose;

    @ApiModelProperty(value = "流程创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;

    @ApiModelProperty(value = "是否为子流程")
    private int childrenWorkflow;

    @ApiModelProperty(value = "父流程实例id")
    private String parentWorkflowInstId;

    @ApiModelProperty(value = "申请人")
    private String username;
    @ApiModelProperty(value = "当前节点")
    private String taskName;
    @ApiModelProperty(value = "流程名称")
    private String workflowName;
}
