package net.wanji.databus.entity.develop.servicedevelop.bpm.processmanager;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 类描述: 流程节点定义数据库实体类
 *
 * @Author
 * @Date 2019/8/26 10:02
 */
@Getter
@Setter
@ApiModel(value = "WorkflowNodeDefinition", description = "流程节点定义数据库实体类")
public class WorkflowNodeDefinition extends TrackableEntity {

    @ApiModelProperty(value = "所属流程id", example = "process_1", required = true)
    private String workflowId;

    @ApiModelProperty(value = "节点定义json字符串", example = "\"{ \"name\": \"test1\", \"id\": \"D0AE6D1122F14CF2\"}\"", required = true)
    private String structure;

    @ApiModelProperty(value = "节点ID，后台生成的id", example = "\"{ \"name\": \"test1\", \"id\": \"D0AE6D1122F14CF2\"}\"", required = true)
    private String nodeId;

    @ApiModelProperty(value = "节点名称", example = "\"{ \"name\": \"test1\", \"id\": \"D0AE6D1122F14CF2\"}\"", required = true)
    private String nodeName;

    public static WorkflowNodeDefinition newInstance() {
        return new WorkflowNodeDefinition();
    }
}
