package net.wanji.databus.entity.develop.servicedevelop.bpm.processmanager;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description: $description$
 * @Author: xinrui.li
 * @Date: 2020/04/14/17:54
 */
@Getter
@Setter
@ApiModel(value = "WorkflowNotice", description = "流程通知数据库实体类")
public class WorkflowNotice extends TrackableEntity {
    @ApiModelProperty(value = "流程定义id")
    private String workflowId;

    @ApiModelProperty(value = "流程实例定义id")
    private String workflowInstId;

    @ApiModelProperty(value = "任务id")
    private String taskId;

    @ApiModelProperty(value = "任务名称")
    private String taskName;

    @ApiModelProperty(value = "流程处理人业务账号id")
    private String assignedUserId;

    @ApiModelProperty(value = "任务状态；green-正常，yellow-临近超时，red-超时")
    private String taskStatus;

    @ApiModelProperty(value = "开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss" )
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "提醒次数")
    private int noticeTimes;
}
