package net.wanji.databus.entity.develop.servicedevelop.bpm.processmanager;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description: $description$
 * @Author: xinrui.li
 * @Date: 2020/04/14/17:53
 */
@Getter
@Setter
@ApiModel(value = "WorkflowTask", description = "流程日志数据库实体类")
public class WorkflowTask  extends TrackableEntity {
    @ApiModelProperty(value = "流程定义id")
    private String workflowId;

    @ApiModelProperty(value = "流程实例定义id")
    private String workflowInstId;

    @ApiModelProperty(value = "流程实例定义id(数据库主键id)")
    private String workflowInstPrimaryId;

    @ApiModelProperty(value = "任务id")
    private String taskId;

    @ApiModelProperty(value = "任务名称")
    private String taskName;

    @ApiModelProperty(value = "流程处理人业务账号id")
    private String assignedUserId;

    @ApiModelProperty(value = "审批状态；pass-通过，back-不通过,wait-待处理")
    private String approvalStatus;

    @ApiModelProperty(value = "审批意见")
    private String approvalRemark;

    @ApiModelProperty(value = "节点ID")
    private String currentActivityId;

    @ApiModelProperty(value = "处理时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss" )
    private Date diposeTime;

    @ApiModelProperty(value = "应用ID")
    private String appId;
    @ApiModelProperty(value = "应用名称")
    private String appName;
    @ApiModelProperty(value = "图标")
    private String image;

    @ApiModelProperty(value = "业务账号id")
    private String userId;
    @ApiModelProperty(value = "流程定义名称")
    private String workflowName;

    @ApiModelProperty(value = "流程创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "流程发起人id")
    private String createUserId;

    @ApiModelProperty(value = "流程发起人name")
    private String createUserName;

    @ApiModelProperty(value = "流程状态")
    private String workflowStatus;

    @ApiModelProperty(value = "任务状态")
    private String taskStatus;

    @ApiModelProperty(value = "流程实例名称")
    private String workflowInstName;

    @ApiModelProperty(value = "是否设置会签")
    private String isSign;

    @ApiModelProperty(value = "是否设置超期")
    private String isTimeLimit;

    @ApiModelProperty(value = "超期天数")
    private int limitDays;

    @ApiModelProperty(value = "任务优先级")
    private int priority;
}

