package net.wanji.databus.entity.develop.servicedevelop.bpm.processmanager;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description: $description$
 */
@Getter
@Setter
@ApiModel(value = "WorkflowTaskCountersign", description = "流程会签")
public class WorkflowTaskCountersign extends TrackableEntity {
    @ApiModelProperty(value = "任务id")
    private String taskId;

    @ApiModelProperty(value = "任务名称")
    private String taskName;

    @ApiModelProperty(value = "流程处理人业务账号id")
    private String assignedUserId;

    @ApiModelProperty(value = "审批状态；pass-通过，back-不通过,wait-待处理")
    private String approvalStatus;

    @ApiModelProperty(value = "审批意见")
    private String approvalRemark;

    @ApiModelProperty(value = "处理类型（如部门，岗位，用户，部门+岗位）")
    private String type;

    @ApiModelProperty(value = "处理时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm：ss")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date disposeTime;

}

