package net.wanji.databus.entity.develop.servicedevelop.bpm.systemsetting;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 类描述: 批量分配用户参数定义
 *
 * @Author
 * @Date 2019/8/15 14:00
 */
@Getter
@Setter
@ApiModel(value = "AssignUserParam", description = "批量分配用户参数定义")
public class AssignUserParam extends TrackableEntity {

    @ApiModelProperty(value = "组织id", example = "deptId或者groupId", required = true)
    private String organization;

    @ApiModelProperty(value = "组织岗位名称", example = "deptPostId或者groupPostId")
    private String organizationPost;

    @ApiModelProperty(value = "子节点", required = true, example = "['user1', 'user2']")
    private List<String> userIds;

    public static AssignUserParam newInstance() {
        return new AssignUserParam();
    }
}
