package net.wanji.databus.entity.develop.servicedevelop.bpm.systemsetting;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 类描述: 部门实体对象
 *
 * @Author
 * @Date 2019/8/15 14:00
 */
@Getter
@Setter
@ApiModel(value = "BpmDepartment", description = "部门")
public class BpmDepartment extends TrackableEntity {

    @ApiModelProperty(value = "上级部门id")
    private String parentId = "";

    @ApiModelProperty(value = "上级部门名称")
    private String parentName;

    @ApiModelProperty(value = "部门id")
    private String id;

    @ApiModelProperty(value = "部门编号")
    private String num;

    @ApiModelProperty(value = "部门名称")
    private String name;

    @ApiModelProperty(value = "子节点")
    private List<BpmDepartment> children;

    private BpmDepartment() {
    }

    public static BpmDepartment newInstance() {
        return new BpmDepartment();
    }
}
