package net.wanji.databus.entity.develop.servicedevelop.bpm.systemsetting;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 类描述:服务中台注册接口实体对象
 *
 * @Author yu.liu2
 * @Date 2019/9/2 14:00
 */
@Getter
@Setter
@ApiModel(value = "BpmService", description = "服务中台注册接口表")
public class BpmService extends TrackableEntity {

    @ApiModelProperty(value = "接口id")
    private String id;

    @ApiModelProperty(value = "接口名称")
    private String name;

    @ApiModelProperty(value = "URL")
    private String url;

    @ApiModelProperty(value = "接口注册时间")
    @JSONField(format = "yyyy-MM-dd")
    private Date registerTime;

    @ApiModelProperty(value = "接口类型id")
    private String typeId;


    private BpmService() {
    }

    public static BpmService newInstance() {
        return new BpmService();
    }
}
