package net.wanji.databus.entity.develop.servicedevelop.bpm.systemsetting;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 类描述: 用户实体对象
 *
 * @Author
 * @Date 2019/8/19 15:31
 */
@Getter
@Setter
@ApiModel(value = "BpmUser", description = "用户")
public class BpmUser extends TrackableEntity {

    @ApiModelProperty(value = "用户名称")
    private String name;

    @ApiModelProperty(value = "用户密码")
    private String password;

    @ApiModelProperty(value = "用户有效期截止时间")
    @JSONField(format = "yyyy-MM-dd")
    private Date endTime;

    @ApiModelProperty(value = "用户备注")
    private String description;

    @ApiModelProperty(value = "联系电话")
    private String phoneNum;

    @ApiModelProperty(value = "邮箱地址")
    private String email;

    @ApiModelProperty(value = "用户与部门、部门岗位关联关系")
    private List<UserDeptDeptPostRlat> deptDeptPostRlatList;

    @ApiModelProperty(value = "用户与用户组、用户组岗位关联关系")
    private List<UserGroupGroupPostRlat> groupGroupPostRlatList;

    @ApiModelProperty(value = "是否已分配到对应部门下的部门岗位", hidden = true)
    private Boolean assigned;

    /*用于临时区分前后台菜单*/
    private JSONArray menuList;

    private BpmUser() {
    }

    public static BpmUser newInstance() {
        return new BpmUser();
    }
}
