package net.wanji.databus.entity.develop.servicedevelop.bpm.systemsetting;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 类描述: 请求转发接收参数，服务中台接口管理中解决跨域问题
 *
 * @Author
 * @Date 2019/9/19 09:00
 */
@Getter
@Setter
@ApiModel(value = "ProxyRequestParam", description = "请求转发接收参数")
public class ProxyRequestParam implements Serializable {

    @ApiModelProperty(value = "请求地址",  required = true, example = "http://127.0.0.1:9000/rest/user/get")
    private String url;

    @ApiModelProperty(value = "请求类型",  required = true, example = "GET, POST, DELETE, 不区分大小写")
    private String type;

    @ApiModelProperty(value = "请求参数", required = true, example = "\"user\":\"11\"")
    private Object params;

    public static ProxyRequestParam newInstance() {
        return new ProxyRequestParam();
    }
}
