package net.wanji.databus.entity.develop.servicedevelop.bpm.systemsetting;

import net.wanji.common.framework.domain.TrackableEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.Objects;

/**
 * 类描述: 用户-部门-部门岗位关联对象
 *
 * @Author
 * @Date 2019/8/19 15:31
 */
@Getter
@Setter
public class UserDeptDeptPostRlat extends TrackableEntity {

    private String userId = ""; //用户ID，默认为空字符串，防止数据库存在null

    private String deptId = ""; //用户所属部门id，默认为空字符串，防止数据库存在null

    private String deptName;

    private String deptPostId = ""; //用户所属部门岗位id，默认为空字符串，防止数据库存在null

    private String deptPostName;

    private UserDeptDeptPostRlat() {
    }

    /*重写equals和hashCode，用于去重*/
    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        UserDeptDeptPostRlat that = (UserDeptDeptPostRlat) o;
        return Objects.equals(userId, that.userId) &&
                Objects.equals(deptId, that.deptId) &&
                Objects.equals(deptPostId, that.deptPostId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(userId, deptId, deptPostId);
    }

    public static UserDeptDeptPostRlat newInstance() {
        return new UserDeptDeptPostRlat();
    }
}
