package net.wanji.databus.entity.develop.servicedevelop.bpm.systemsetting;

import net.wanji.common.framework.domain.TrackableEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.Objects;

/**
 * 类描述: 用户-用户组-用户组岗位关联对象
 *
 * @Author
 * @Date 2019/8/19 15:31
 */
@Getter
@Setter
public class UserGroupGroupPostRlat extends TrackableEntity {

    private String userId = ""; //用户ID，默认为空字符串，防止数据库存在null

    private String groupId = ""; //用户所属用户组id，默认为空字符串，防止数据库存在null

    private String groupName;//用户组名称

    private String groupPostId = ""; //用户所属用户组岗位id，默认为空字符串，防止数据库存在null

    private String groupPostName; //用户组岗位名称

    private UserGroupGroupPostRlat() {
    }

    /*重写equals和hashCode，用于去重*/
    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        UserGroupGroupPostRlat that = (UserGroupGroupPostRlat) o;
        return Objects.equals(userId, that.userId) &&
                Objects.equals(groupId, that.groupId) &&
                Objects.equals(groupPostId, that.groupPostId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(userId, groupId, groupPostId);
    }

    public static UserGroupGroupPostRlat newInstance() {
        return new UserGroupGroupPostRlat();
    }
}
