package net.wanji.databus.entity.develop.servicedevelop.datamanage;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Setter
@Getter
@ApiModel(value = "DataDictionaryContent", description = "数据字典内容")
public class DataDictionaryContent extends TrackableEntity {

    @ApiModelProperty(value = "数据字典名")
    private String name;

    @ApiModelProperty(value = "数据字典值")
    private String value;

    @ApiModelProperty(value = "父节点的id")
    private String parentId;

    @ApiModelProperty(value = "数据字典类型,type类型为list或者tree")
    private String type;

    @ApiModelProperty(value = "数据字典简称,中文")
    private String abbreviation;

    @ApiModelProperty(value = "数据字典拼音")
    private String pinYin;

    @ApiModelProperty(value = "模糊搜索代码")
    private String code;

    @ApiModelProperty(value = "数据字典类型的id")
    private String dataDictionaryTypeId;

    public static DataDictionaryContent newInstance() {
        return new DataDictionaryContent();
    }

    // 扩展字段
    private List<DataDictionaryContent> children;

    private Boolean hasChildren;
}
