package net.wanji.databus.entity.develop.servicedevelop.develop;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/3/16 18:54
 */
@Setter
@Getter
@ApiModel(value = "PluginParam", description = "微服务开发-插件参数")
public class PluginParam extends TrackableEntity {

    @ApiModelProperty(value = "接口id")
    private String restfulId;

    @ApiModelProperty(value = "插件id")
    private String pluginId;

    @ApiModelProperty(value = "插件代码")
    private String pluginCode;

    @ApiModelProperty(value = "插件名称")
    private String pluginName;

    @ApiModelProperty(value = "输入变量")
    private String dataInVar;

    @ApiModelProperty(value = "输出变量")
    private String dataOutVar;

    @ApiModelProperty(value = "状态(success-成功，fail-失败)")
    private String status;

    @ApiModelProperty(value = "插件json")
    private String pluginJson;

    @ApiModelProperty(value = "运行前")
    private String runBefore;

    @ApiModelProperty(value = "运行后")
    private String runAfter;

    public static PluginParam newInstance() { return new PluginParam(); }
}
