package net.wanji.databus.entity.develop.servicedevelop.develop;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author wanji
 */
@Getter
@Setter
public class ResponseEntity implements Serializable {

    @JSONField(name = "ResponseHead")
    private ResponseHead ResponseHead;

    @JSONField(name = "ResponseBody")
    private Object ResponseBody;

    @Override
    public String toString() {
        return JSON.toJSONString(this, SerializerFeature.WriteMapNullValue);
    }

    @Getter
    @Setter
    private class ResponseHead implements Serializable {
        @JSONField(name = "ResponseId")
        private String ResponseId;
        @JSONField(name = "StatusCode")
        private String StatusCode;
        @JSONField(name = "Message")
        private String Message;

    }

    public ResponseEntity(String StatusCode, String Message) {
        this.ResponseHead.StatusCode = StatusCode;
        this.ResponseHead.Message = Message;
    }

    private ResponseEntity() {
        this.ResponseHead = new ResponseHead();
        this.ResponseBody = new JSONObject();
    }

    public static ResponseEntity newInstance() {
        return new ResponseEntity();
    }

    public void setResponseId(String ResponseId) {
        this.ResponseHead.ResponseId = ResponseId;
    }

    public ResponseEntity success(Object ResponseBody) {
        return pack(StatusCodeEnum.STATUS_00200.getStatusCode(), StatusCodeEnum.STATUS_00200.getMessage(), ResponseBody == null ? new JSONObject() : ResponseBody);
    }

    public ResponseEntity fail(StatusCodeEnum statusCodeEnum) {
        return pack(statusCodeEnum.getStatusCode(), statusCodeEnum.getMessage(), null);
    }

    private ResponseEntity pack(String StatusCode, String Message, Object ResponseBody) {
        this.ResponseHead.StatusCode = StatusCode;
        this.ResponseHead.Message = Message;
        this.ResponseBody = ResponseBody;
        return this;
    }
}
