package net.wanji.databus.entity.develop.servicedevelop.develop;

import lombok.Getter;

/**
 * 服务发布状态码枚举类
 *
 * @author wanji
 * @date 2019-09-23
 */
@Getter
public enum StatusCodeEnum {
    STATUS_00200("00200", "成功", "成功"),
    STATUS_00201("00201", "参数错误", "入参整体为null"),
    STATUS_00202("00202", "参数错误", "入参整体无法转化为指定JSON格式"),
    STATUS_00203("00203", "参数错误", "RequestHeader为null"),
    STATUS_00211("00211", "参数错误", "RequestHeader中RequestId为null或为空字符串"),
    STATUS_00212("00212", "参数错误", "RequestHeader中SourceSystem为null"),
    STATUS_00213("00213", "参数错误", "RequestHeader中TargetSystem为null"),
    STATUS_00214("00214", "参数错误", "RequestHeader中FusionSystemName为null或与接口路径中的PathParam(\"systemName\")不一致"),
    STATUS_00215("00215", "参数错误", "RequestHeader中FusionModuleName为null或与接口路径中的PathParam(\"moduleName\")不一致"),
    STATUS_00216("00216", "参数错误", "RequestHeader中FusionServiceCode为null或与接口路径中的PathParam(\"serviceCode\")不一致"),
    STATUS_00217("00217", "参数错误", "RequestHeader中FusionToken为null或验证未通过"),
    STATUS_00218("00218", "参数错误", "RequestHeader中SourceSystem为null"),
    STATUS_00219("00219", "参数错误", "RequestHeader中TargetSystem为null"),
    STATUS_00400("00400", "网络错误", "dubbo服务消费错误"),
    STATUS_00401("00401", "网络错误", "RestFulGet插件访问错误"),
    STATUS_00402("00402", "网络错误", "RestFulPost插件访问错误"),
    STATUS_00403("00403", "网络错误", "HttpsClientGet插件访问错误"),
    STATUS_00404("00404", "网络错误", "HttpsClientPost插件访问错误"),
    STATUS_00405("00405", "网络错误", "WebService插件访问错误"),
    STATUS_00406("00406", "网络错误", "基础接口服务错误"),
    STATUS_00407("00407", "网络错误", "用户信息过期"),
    STATUS_00500("00500", "流程执行错误", "RestFulGet插件运行错误"),
    STATUS_00501("00501", "流程执行错误", "RestFulPost插件运行错误"),
    STATUS_00502("00502", "流程执行错误", "HttpsClientGet插件运行错误"),
    STATUS_00503("00503", "流程执行错误", "HttpsClientPost插件运行错误"),
    STATUS_00504("00504", "流程执行错误", "WebService插件运行错误"),
    STATUS_00505("00505", "流程执行错误", "JavaFn插件运行错误"),
    STATUS_00506("00506", "流程执行错误", "DBSelect插件运行错误"),
    STATUS_00507("00507", "流程执行错误", "DBInsert插件运行错误"),
    STATUS_00508("00508", "流程执行错误", "DBUpdate插件运行错误"),
    STATUS_00509("00509", "流程执行错误", "DBDelete插件运行错误"),
    STATUS_00510("00510", "流程执行错误", "BaseNode的getNodeParam错误"),
    STATUS_00511("00511", "流程执行错误", "BasePluginNode的runNode错误"),
    STATUS_00512("00512", "流程执行错误", "Start插件运行错误"),
    STATUS_00513("00513", "流程执行错误", "end插件运行错误"),
    STATUS_00514("00514", "流程执行错误", "Object2Table插件运行错误"),
    STATUS_00515("00515", "流程执行错误", "Table2Object插件运行错误");

    private String StatusCode;

    private String message;

    private String detail;

    StatusCodeEnum(String statusCode, String message, String detail) {
        this.StatusCode = statusCode;
        this.message = message;
        this.detail = detail;
    }
}
