package net.wanji.databus.entity.develop.taskschedule;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;


/**
 * Created by wanji on 2019/5/24.
 */
@Setter
@Getter
@ApiModel(value = "ScheduleManager", description = "任务调度")
public class ScheduleManager extends TrackableEntity {

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "模块id")
    private String moduleId;

    @ApiModelProperty(value = "调度任务类型")
    private String type;

    @ApiModelProperty(value = "服务id")
    private String serviceId;

    @ApiModelProperty(value = "cron表达式")
    private String cron;

    @ApiModelProperty(value = "参数")
    private String params;

    @ApiModelProperty(value = "调度规则")
    private String rules;

    @ApiModelProperty(value = "状态-0:未启动；1：启动")
    private String status;

    @ApiModelProperty(value = "起始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "任务唯一密钥")
    private String taskKey;

    public static ScheduleManager newInstance() {
        return new ScheduleManager();
    }
}
