package net.wanji.databus.entity.identity.identity;

import net.wanji.common.framework.domain.TrackableEntity;
import net.wanji.common.framework.rest.ValidationGroups;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/4/17 13:41
 */
@Getter
@Setter
@ApiModel(value = "AccessSystem", description = "接入系统")
public class AccessSystem extends TrackableEntity {

    @ApiModelProperty(value = "系统名称")
    @NotBlank(message = "系统名称不能为空",groups = {ValidationGroups.Create.class})
    private String name;

    @ApiModelProperty(value = "密钥")
    private String secretKey;

    @ApiModelProperty(value = "密钥到期时间")
    private Integer tokenExpire;

    @ApiModelProperty(value = "状态")
    private String status;

    public static AccessSystem newInstance() {
        return new AccessSystem();
    }
}
