package net.wanji.databus.entity.identity.identity;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 18:40
 **/
@Data
@ApiModel(value = "AccountMappings", description = "账号映射")
public class AccountMappings extends TrackableEntity {

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "用户id")
    private String userId;

    // 保留该字段
    @ApiModelProperty(value = "类型:individual为个人账号映射 enterprise为企业账号映射")
    private String type;

    @ApiModelProperty(value = "业务账户id")
    private String businessAccountId;
    @ApiModelProperty(value = "业务账户名称")
    private String businessAccountName;
    @ApiModelProperty(value = "业务账户登录名")
    private String businessAccountUsername;
    @ApiModelProperty(value = "业务账户密码")
    private String password;

    @ApiModelProperty(value = "机构id")
    private String organizationId;
    @ApiModelProperty(value = "机构名称")
    private String organizationName;

    @ApiModelProperty(value = "部门id")
    private String departmentId;
    @ApiModelProperty(value = "部门名称")
    private String departmentName;

    @ApiModelProperty(value = "岗位id")
    private String stationId;
    @ApiModelProperty(value = "岗位名称")
    private String stationName;

    @ApiModelProperty(value = "角色id")
    private String roleId;

    @ApiModelProperty(value = "状态")
    private Integer status;

}
