package net.wanji.databus.entity.identity.identity;

import net.wanji.common.framework.domain.TrackableEntity;
import net.wanji.common.framework.rest.ValidationGroups;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/3/17 12:59
 */
@Getter
@Setter
@ApiModel(value = "AppBusinessAccount", description = "应用业务账号")
public class AppBusinessAccount extends TrackableEntity {

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "应用id")
    @NotBlank(message = "应用id不能为空",groups = {ValidationGroups.Create.class})
    private String appId;

    @ApiModelProperty(value = "业务账号id")
    @NotBlank(message = "业务账号id不能为空",groups = {ValidationGroups.Create.class})
    private String businessAccountId;

    @ApiModelProperty(value = "岗位id")
    @NotBlank(message = "岗位id不能为空",groups = {ValidationGroups.Create.class})
    private String stationId;

    @ApiModelProperty(value = "部门id")
    @NotBlank(message = "部门id不能为空",groups = {ValidationGroups.Create.class})
    private String departmentId;

    @ApiModelProperty(value = "公司id")
    @NotBlank(message = "公司id不能为空",groups = {ValidationGroups.Create.class})
    private String organizationId;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "冗余字段，是否为管理员")
    private Boolean isAdmin = false;

    public static AppBusinessAccount newInstance() {
        return new AppBusinessAccount();
    }
}
