package net.wanji.databus.entity.identity.identity;

import net.wanji.common.framework.domain.TrackableEntity;
import net.wanji.common.framework.rest.ValidationGroups;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 18:38
 **/
@Getter
@Setter
@ApiModel(value = "BusinessAccountGroup", description = "业务账号组")
public class BusinessAccountGroup extends TrackableEntity {

    @ApiModelProperty(value = "业务账号组名称")
    @NotBlank(message = "名称不能为空",groups = { ValidationGroups.Create.class})
    private String name;

    @ApiModelProperty(value = "业务账号组描述")
    private String description;

    // 模糊搜索专用
    private String keyword;

}
