package net.wanji.databus.entity.identity.identity;

import net.wanji.common.framework.domain.TrackableEntity;
import net.wanji.common.framework.rest.ValidationGroups;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 18:38
 **/
@Getter
@Setter
@ApiModel(value = "BusinessAccountGroupRlat", description = "业务账号组-业务账号的关联表")
public class BusinessAccountGroupRlat extends TrackableEntity {

    @ApiModelProperty(value = "冗余字段-业务账号名称")
    private String businessAccountName;

    @ApiModelProperty(value = "业务账号id")
    @NotBlank(message = "业务账号id不能为空",groups = {ValidationGroups.Create.class})
    private String businessAccountId;

    @ApiModelProperty(value = "业务账号分组id")
    @NotBlank(message = "业务账号分组id不能为空",groups = {ValidationGroups.Create.class})
    private String businessAccountGroupId;

}
