package net.wanji.databus.entity.identity.identity;

import net.wanji.common.framework.domain.TrackableEntity;
import net.wanji.common.framework.rest.ValidationGroups;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 18:40
 **/
@Getter
@Setter
@ApiModel(value = "Organization", description = "组织机构")
public class Organization extends TrackableEntity {

    @ApiModelProperty(value = "名称")
    @NotBlank(message = "名称不能为空",groups = {ValidationGroups.Create.class})
    private String name;

    @ApiModelProperty(value = "编码")
    private String code;

    @ApiModelProperty(value = "地址")
    private String address;

    /**
     * 组织机构标识
     */
    private String identification = "company";

    // 模糊搜索专用
    private String keyword;

    public static Organization newInstance() {
        return new Organization();
    }
}
