package net.wanji.databus.entity.identity.identity;

import net.wanji.common.framework.domain.TrackableEntity;
import net.wanji.common.framework.rest.ValidationGroups;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 18:37
 **/
@Getter
@Setter
@ApiModel(value = "Station", description = "岗位")
public class Station extends TrackableEntity {

    @ApiModelProperty(value = "部门id")
    @NotBlank(message = "部门id不能为空",groups = {ValidationGroups.Create.class})
    private String departmentId;

    @ApiModelProperty(value = "岗位名称")
    @NotBlank(message = "岗位名称不能为空",groups = { ValidationGroups.Create.class})
    private String name;

    @ApiModelProperty(value = "编号")
    private String code;

    /**
     * 岗位标识
     */
    private String identification = "station";

    // 模糊搜索专用
    private String keyword;

    public static Station newInstance() {
        return new Station();
    }
}
