package net.wanji.databus.entity.identity.identity;

import net.wanji.common.framework.domain.TrackableEntity;
import net.wanji.common.framework.rest.ValidationGroups;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/4/17 13:47
 */
@Getter
@Setter
@ApiModel(value = "SystemResourceRelevancy", description = "系统-资源关联信息")
public class SystemResourceRelevancy extends TrackableEntity {

    @ApiModelProperty(value = "客户端id")
    @NotBlank(message = "客户端id不能为空",groups = { ValidationGroups.Create.class})
    private String clientId;

    @ApiModelProperty(value = "资源id")
    @NotBlank(message = "资源id不能为空",groups = { ValidationGroups.Create.class})
    private String resourceId;
}
