package net.wanji.databus.entity.identity.logcenter;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author guohui.wang
 * @date 2020/4/14 13:53
 */
@Data
@ApiModel(value = "LoginLog", description = "登录日志")
public class LoginLog extends TrackableEntity {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "用户id")
    private String userId;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "昵称")
    private String name;

    @ApiModelProperty(value = "登录时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date loginTime;

    @ApiModelProperty(value = "创建时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "登录ip")
    private String loginIp;

    @ApiModelProperty(value = "客户端id")
    private String clientId;

    @ApiModelProperty(value = "客户端类型")
    private String clientType;

    @ApiModelProperty(value = "登录系统版本")
    private String clientVersion;

    @ApiModelProperty(value = "请求参数详情")
    private String clientParam;

    @ApiModelProperty(value = "登录平台系统")
    private String loginApp;

    @ApiModelProperty(value = "登录操作系统")
    private String loginOS;

    @ApiModelProperty(value = "登录浏览器")
    private String loginBrowser;

    @ApiModelProperty("登录认证方式")
    private String grantType;

    @ApiModelProperty(value = "登录结果")
    private String loginResult;

}
