package net.wanji.databus.entity.identity.logcenter;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author guohui.wang
 * @date 2020/4/14 17:48
 */
@Data
@ApiModel(value = "LoginLog", description = "登录日志")
public class OnlineUser extends TrackableEntity {

    @ApiModelProperty(value = "本次登录的tokenId,用来唯一标识本次登录")
    private String tokenId;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "登录时间")
    @JSONField(format="yyyy-MM-dd HH:mm:ss")
    private Date loginTime;

    @ApiModelProperty(value = "登录应用ids")
    private String appId;

    @ApiModelProperty(value = "登录应用名称s")
    private String appName;

    @ApiModelProperty(value = "登录ips")
    private String loginIp;

    @ApiModelProperty(value = "登录操作系统s")
    private String os;

    @ApiModelProperty(value = "浏览器版本")
    private String browser;

    @ApiModelProperty(value = "鉴权类型")
    private String grantType;
}
