package net.wanji.databus.entity.integration.messagecenter;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description: 消息消费记录
 * @Author wanji
 * @Date 2019/11/28 9:42
 **/
@Getter
@Setter
@ApiModel(value = "MessageConsumeHistory", description = "消息消费记录")
public class MessageConsumeHistory extends TrackableEntity {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "消息历史记录id")
    private String messageHistoryId;

    @ApiModelProperty(value = "消息订阅id")
    private String subscribeId;

    @ApiModelProperty(value = "消息消费者")
    private String consumerId;

    @ApiModelProperty(value = "消息是否已读；0-未读；1-已读")
    private Integer status;

    public static MessageConsumeHistory newInstance() {
        return new MessageConsumeHistory();
    }

    /* 以下为扩展字段，逻辑中需要用到但是没有对应数据库字段*/
    /**
     * 对应应用的id  逻辑关系：
     * MessageConsumeHistory.messageHistoryId = messageHistory.id
     * messageHistory.topic= topic.id
     * topic.appId = app.id
     */
    private String appId;
    private String messageHistory;
    private String subscribeKey;

    @ApiModelProperty(value = "消息产生时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
