package net.wanji.databus.entity.integration.messagecenter;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 19:08
 **/
@Getter
@Setter
@ApiModel(value = "MessageFilter", description = "消息过滤")
public class MessageFilter extends TrackableEntity {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "主题id")
    private String topicId;

    //主题名称，管理查询用
    private String topicName;

    @ApiModelProperty(value = "主题id")
    private List<MessageFilterItem> filterItemList;

    // 扩展字段
    // 敏感词 MessageFilterItem name
    private String sensitiveWord;
    @ApiModelProperty(value = "消息查询结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "消息查询起始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "每页显示的总条数", example = "10", dataType = "int")
    private int pageSize = 10;

    @ApiModelProperty(value = "当前页", example = "1", dataType = "int")
    private int pageNum = 1;

    public static MessageFilter newInstance() {
        return new MessageFilter();
    }
}
