package net.wanji.databus.entity.integration.messagecenter;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description: 消息过滤历史记录
 * @Author
 * @Date 2019/12/5 9:33
 */
@Getter
@Setter
@ApiModel(value = "MessageFilterHistory", description = "消息过滤历史记录")
public class MessageFilterHistory extends TrackableEntity {

    private String id;

    @ApiModelProperty(value = "消息主题id")
    private String topicId;

    @ApiModelProperty(value = "消息过滤配置项id")
    private String filterItemId;

    @ApiModelProperty(value = "消息历史记录id")
    private String historyId;

    public static MessageFilterHistory newInstance() {
        return new MessageFilterHistory();
    }

    // 扩展字段
    private String messageHistory;
    // MessageHistory content
    private String content;
    private String topicName;

    @ApiModelProperty(value = "关键字")
    private String filterItemName;

    @ApiModelProperty(value = "匹配模式：1-全文匹配；2-模糊匹配；3-自定义正则")
    private Integer filterType;

    @ApiModelProperty(value = "拦截模式：1-不推送；2-屏蔽关键字")
    private Integer dealType;

    @ApiModelProperty(value = "消息产生时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
