package net.wanji.databus.entity.integration.messagecenter;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @Description: 消息中心配置-消息过滤配置项
 * @Author
 * @Date 2019/12/03 20:08
 **/
@Getter
@Setter
@ToString
@ApiModel(value = "MessageFilterItem", description = "消息中心配置-消息过滤配置项")
public class MessageFilterItem extends TrackableEntity {

    @ApiModelProperty(value = "uuid")
    private String id;

    @ApiModelProperty(value = "关键字")
    private String name;

    @ApiModelProperty(value = "匹配模式：1-全文匹配；2-模糊匹配；3-自定义正则")
    private Integer filterType;

    @ApiModelProperty(value = "拦截模式：1-不推送；2-屏蔽关键字")
    private Integer dealType;

    // 扩展字段
    /**
     * 是否绑定当前主题
     */
    private Boolean checked;

    private String topicId;

    public static MessageFilterItem newInstance() {
        return new MessageFilterItem();
    }
}
