package net.wanji.databus.entity.integration.messagecenter;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @Author peng.zhang6
 * @Date 2020/4/1 16:25
 */
@Setter
@Getter
@ApiModel(value = "MessageFilterRecordRepo", description = "过滤记录返回实体类")
public class MessageFilterRecordRepo extends TrackableEntity {

    @ApiModelProperty(value = "消息内容")
    private String content;

    @ApiModelProperty(value = "敏感词")
    private String sensitiveWord;

    @ApiModelProperty(value = "消息主题")
    private String topicName;

    @ApiModelProperty(value = "匹配模式：1-全文匹配；2-模糊匹配；3-自定义正则")
    private Integer filterType;

    @ApiModelProperty(value = "拦截模式：1-不发送；2-屏蔽关键字")
    private Integer dealType;

    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "拦截时间")
    private Date filterDate;
}
