package net.wanji.databus.entity.integration.messagecenter;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 19:08
 **/
@Setter
@Getter
@ApiModel(value = "MessageHistory", description = "消息历史")
public class MessageHistory extends TrackableEntity {

    @ApiModelProperty(value = "消息主题id")
    private String topicId;

    @ApiModelProperty(value = "消息产生时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "消息内容")
    private String content;

    @ApiModelProperty(value = "消息查询结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "消息查询起始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "每页显示的总条数", example = "10", dataType = "int")
    private int pageSize = 10;

    @ApiModelProperty(value = "当前页", example = "1", dataType = "int")
    private int pageNum = 1;

    @ApiModelProperty(value = "业务key ID")
    private String subscribeId;

    // 扩展字段
    private String topicName;
    // 业务key
    private String subscribeKey;
    private String appId;
    private String appName;

    /*查询参数，起始行号*/
    private int startRowNum = 0;

    public static MessageHistory newInstance() {
        return new MessageHistory();
    }
}
