package net.wanji.databus.entity.integration.messagecenter;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:消息中心配置-消息订阅
 * @return
 * @Author wanji
 * @Date 2019/11/27 14:13
 **/
@Setter
@Getter
@ApiModel(value = "MessageSubscribe", description = "消息中心配置-消息订阅")
public class MessageSubscribe extends TrackableEntity {

    @ApiModelProperty(value = "UUID")
    private String id;

    @ApiModelProperty(value = "主题id")
    private String topicId;

    // businessKey 和 topicId 组成联合约束
    @ApiModelProperty(value = "业务键名称")
    private String businessKey;

    @ApiModelProperty(value = "描述")
    private String description;

    // 冗余数据
    @ApiModelProperty(value = "消息订阅名称")
    private String topicName;
}
