package net.wanji.databus.entity.integration.messagecenter;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:消息中心配置-消息主题定义表
 * @return
 * @Author wanji
 * @Date 2019/11/27 14:14
 **/
@Setter
@Getter
@ApiModel(value = "MessageTopic", description = "消息中心配置-消息主题定义表")
public class MessageTopic extends TrackableEntity {

    @ApiModelProperty(value = "UUID")
    private String id;

    @ApiModelProperty(value = "topic名称")
    private String topic;

    @ApiModelProperty(value = "绑定应用id")
    private String appId;

    @ApiModelProperty(value = "监听状态->0/1")
    // 0: 停止   1: 启动
    private String listenStatus;

    // 扩展字段
    //绑定应用名称
    private String appName;

    private List<MessageSubscribe> messageSubscribeList;

    private MessageTopic() {
    }

    public static MessageTopic newInstance() {
        return new MessageTopic();
    }
}
