package net.wanji.databus.entity.integration.servicegateway.a2a;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * a2a 服务接入
 *
 * @author wanji
 * @date 2020/3/18
 */
@Data
@ApiModel(value = "A2ARestful", description = "服务接入")
public class A2ARestful extends TrackableEntity {

    @ApiModelProperty(value = "服务中文名")
    private String nameCn;

    @ApiModelProperty(value = "服务英文名")
    private String nameEn;

    @ApiModelProperty(value = "ssl认证方式")
    private String sslCertWay;

    @ApiModelProperty(value = "根证书路径")
    private String rootCertPath;

    @ApiModelProperty(value = "客户端证书路径")
    private String clientCertPath;

    @ApiModelProperty(value = "秘钥")
    private String secretKey;

    @ApiModelProperty(value = "系统id")
    private String systemId;

    @ApiModelProperty(value = "目标路径(调用的接口路径)")
    private String targetUrl;

    @ApiModelProperty(value = "接口路径(访问入口,后台生成)")
    private String apiUrl;

    @ApiModelProperty(value = "方法")
    private String method;

    @ApiModelProperty(value = "认证方式编码")
    private String auth;

    @ApiModelProperty(value = "输出参数json字符串")
    private String dataOut;

    @ApiModelProperty(value = "输入参数json字符串")
    private String dataIn;

    @ApiModelProperty(value = "描述")
    private String des;

    @ApiModelProperty(value = "版本")
    private String version;

    @ApiModelProperty(value = "编码")
    private String key;

    // 以下为扩展属性
    @ApiModelProperty(value = "gateWay的主键id。服务发布--A2A模块中所需的属性")
    private String gatewayId;

    @ApiModelProperty(value = "代理Url。服务发布--A2A模块中所需的属性")
    private String gatewayUrl;

    @ApiModelProperty(value = "发布状态。服务发布--A2A模块中所需的属性。")
    private boolean ifPublished;
}
