package net.wanji.databus.entity.integration.servicegateway.a2a;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * Created by wanji on 2019/5/22.
 */
@Getter
@Setter
@ApiModel(value = "WebService", description = "WebService服务")
public class WebService extends TrackableEntity {

    @ApiModelProperty(value = "中文名")
    private String nameCn;

    @ApiModelProperty(value = "英文名")
    private String nameEn;

    @ApiModelProperty(value = "系统id")
    private String systemId;

    @ApiModelProperty(value = "目标路径(调用的接口路径)")
    private String targetUrl;

    @ApiModelProperty(value = "接口路径(访问入口,后台生成)")
    private String apiUrl;

    @ApiModelProperty(value = "目标名称空间")
    private String targetNamespace;

    @ApiModelProperty(value = "fun名称")
    private String funName;

    @ApiModelProperty(value = "请求方式")
    private String method;

    @ApiModelProperty(value = "输出参数json字符串")
    private String dataOut;

    @ApiModelProperty(value = "输入参数json字符串")
    private String dataIn;

    @ApiModelProperty(value = "soap")
    private String soap;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "描述")
    private String des;

    @ApiModelProperty(value = "request xml")
    private String requestXml;

    @ApiModelProperty(value = "response xml")
    private String responseXml;
    @ApiModelProperty(value = "版本")
    private String version;
    @ApiModelProperty(value = "编码")
    private String key;

    // 以下为扩展属性
    @ApiModelProperty(value = "gateWay的主键id。服务发布--A2A模块中所需的属性")
    private String gatewayId;

    @ApiModelProperty(value = "代理Url。服务发布--A2A模块中所需的属性")
    private String gatewayUrl;

    @ApiModelProperty(value = "发布状态。服务发布--A2A模块中所需的属性。")
    private boolean ifPublished;

}
