package net.wanji.databus.entity.integration.servicegateway.d2a;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * d2a 数据库
 *
 * @author wanji
 * @date 2020/3/18
 */
@Data
@ApiModel(value = "DataBase", description = "数据库")
public class D2ADataBase extends TrackableEntity {
    @ApiModelProperty(value = "数据库中文名")
    private String nameCn;

    @ApiModelProperty(value = "数据库名")
    private String nameEn;

    @ApiModelProperty(value = "所属应用ID")
    private String appId;

    @ApiModelProperty(value = "区分外部还是内部应用的数据库", example = "internal(内部)/external(外部)")
    private String appType;

    @ApiModelProperty(value = "数据库类型", example = "mysql, oracle, sql server")
    private String dbType;

    @ApiModelProperty(value = "数据库ip")
    private String ip;

    @ApiModelProperty(value = "数据库端口")
    private String port;

    @ApiModelProperty(value = "用户名")
    private String user;

    @ApiModelProperty(value = "密码")
    private String pwd;

    @ApiModelProperty(value = "Oracle数据库的模式")
    private String schemaName;
}
