package net.wanji.databus.entity.integration.servicegateway.d2a;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * d2a 导入表
 *
 * @author wanji
 * @date 2020/3/18
 */
@Data
@ApiModel(value = "D2ATable", description = "导入表")
public class D2ATable extends TrackableEntity {

    @ApiModelProperty(value = "中文表名")
    private String nameCn;

    @ApiModelProperty(value = "英文表名")
    private String nameEn;

    @ApiModelProperty(value = "区分新建还是导入。", example = "new(新建)/import(导入)")
    private String recordMode;

    @ApiModelProperty(value = "oracle表所属模式名")
    private String schemaName;

    @ApiModelProperty(value = "数据库id")
    private String dbId;

    @ApiModelProperty(value = "表描述信息")
    private String des;
}
