package net.wanji.databus.entity.integration.servicegateway.d2a;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * d2a 导入表的字段
 *
 * @author wanji
 * @date 2020/3/18
 */
@Data
@ApiModel(value = "D2ATableFields" , description = "表字段")
public class D2ATableFields extends TrackableEntity{

    @ApiModelProperty(value = "表id")
    private String tableId;

    @ApiModelProperty(value = "字段名英文名")
    private String fieldNameEn;

    @ApiModelProperty(value = "字段中文名")
    private String fieldNameCn;

    @ApiModelProperty(value = "字段类型")
    private String type;

    @ApiModelProperty(value = "字段长度")
    private String length;

    @ApiModelProperty(value = "是否主键")
    private String isPk;

    @ApiModelProperty(value = "是否空值")
    private String isNull;

    @ApiModelProperty(value = "默认值")
    private String defaultValue;

    // 以下为扩展属性，表中不需要有相应的字段。
    @ApiModelProperty(value = "是否为旧字段。微服务开发--基础数据--业务表--编辑时旧字段需要修改屏蔽。")
    private boolean ifOldField;
}
