package net.wanji.databus.entity.integration.servicegateway.d2a;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * d2a 接口
 *
 * @author wanji
 * @date 2020/3/18
 */
@Data
@ApiModel(value = "D2ATableRestful", description = "d2a Restful接口")
public class D2ATableRestful extends TrackableEntity {
    @ApiModelProperty(value = "restful接口中文名称")
    private String name;

    @ApiModelProperty(value = "因为d2a中多表查询的接口无法记录表id，所以必须有此冗余字段。")
    private String dbId;

    @ApiModelProperty(value = "restful接口url")
    private String url;

    @ApiModelProperty(value = "查询类型，单表(singleTable)或者多表(multiTable)")
    private String type;

    @ApiModelProperty(value = "表id")
    private String tableId;

    @ApiModelProperty(value = "接口编码")
    private String interfaceCode;

    @ApiModelProperty(value = "返回数据设置的参数")
    private String dataOut;

    @ApiModelProperty(value = "插件json")
    private String pluginJson;

    @ApiModelProperty(value = "接口描述")
    private String des;

    @ApiModelProperty(value = "版本")
    private String version;

    @ApiModelProperty(value = "编码")
    private String key;

    // 以下为扩展属性
    @ApiModelProperty(value = "表名称。此为扩展属性，表中不需要有相应的字段。")
    private String tableName;

    @ApiModelProperty(value = "gateWay的主键id。服务发布--D2A模块中所需的属性")
    private String gatewayId;

    @ApiModelProperty(value = "代理Url。服务发布--D2A模块中所需的属性")
    private String gatewayUrl;

    @ApiModelProperty(value = "发布状态。服务发布--D2A模块中所需的属性。")
    private boolean ifPublished;
}
