package net.wanji.databus.entity.integration.servicegateway.d2a.view;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ClassName D2ADataBaseView
 * @Description
 * @Author wanji
 * @Date 2020/8/4 9:20
 * @Version 1.0
 */
@Data
@ApiModel(description = "D2A database 的包装类")
public class D2ADataBaseView extends TrackableEntity {
    @ApiModelProperty(value = "数据库中文名")
    private String nameCn;

    @ApiModelProperty(value = "数据库名")
    private String nameEn;

    @ApiModelProperty(value = "数据库类型", example = "mysql, oracle, sql server")
    private String dbType;

    @ApiModelProperty(value = "数据库ip")
    private String ip;

    @ApiModelProperty(value = "数据库端口")
    private String port;

    @ApiModelProperty(value = "Oracle数据库的模式")
    private String schemaName;

    @ApiModelProperty(value = "数据表配置")
    private List<D2ATableView> d2ATableViewList;
}
