package net.wanji.databus.entity.integration.servicegateway.d2a.view;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 封装D2A接口的执行结果。
 * <p>
 * 包括sql语句，查询参数和sql查询运行结果。
 * 其中，前两者为了方便aop日志记录。
 *
 * @Author wanji
 * @Date 2020/4/7 14:07
 */
@Data
@ApiModel(description = "D2A接口的执行结果")
public class D2AResultView extends TrackableEntity {
    @ApiModelProperty(notes = "生成的sql语句")
    private String sql;

    @ApiModelProperty(notes = "查询参数")
    private Object[] queryParams;

    @ApiModelProperty(notes = "sql执行结果")
    private Object result;
}
