package net.wanji.databus.entity.integration.servicegateway.d2a.view;

import net.wanji.databus.entity.integration.servicegateway.d2a.D2ATableFields;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * D2ATable的包装类。
 * 在基础数据--业务表--创建表功能中被使用。
 *
 * @Author wanji
 * @Date 2020/3/25 12:11
 */
@Data
@ApiModel(description = "D2ATable的包装类")
public class D2ATableView extends TrackableEntity {
    @ApiModelProperty(notes = "数据库 id")
    private String dbId;

    @ApiModelProperty(notes = "表英文名")
    private String nameEn;

    @ApiModelProperty(notes = "表中文名")
    private String nameCn;

    @ApiModelProperty(notes = "表字段")
    private List<D2ATableFields> tableFields;

    @ApiModelProperty(notes = "表描述")
    private String des;
}
