package net.wanji.databus.entity.integration.servicegateway.gatewayaccess;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.ignite.cache.query.annotations.QuerySqlField;

/**
 * @Description: 网关配合gateway使用时持久化表pojo
 * @Author wanji
 * @Date 2020/2/11 9:17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "Gateway", description = "网关表")
public class Gateway extends TrackableEntity {

    @ApiModelProperty(value = "网关名称")
    @QuerySqlField
    private String name;

    @ApiModelProperty(value = "网关的key")
    @QuerySqlField
    private String key;

    @ApiModelProperty(value = "真实url")
    @QuerySqlField
    private String realUrl;

    @ApiModelProperty(value = "代理url")
    @QuerySqlField
    private String proxyUrl;

    @ApiModelProperty(value = "代理服务名称")
    private String proxyServiceName;

    @ApiModelProperty(value = "接口类型：哪种接口生成的网关")
    @QuerySqlField
    private String type;

    @ApiModelProperty(value = "发布类型：soap、restful")
    @QuerySqlField
    private String publishType;

    @ApiModelProperty(value = "发布版本号")
    @QuerySqlField
    private String version;

    @ApiModelProperty(value = "网关服务类型的id")
    @QuerySqlField
    private String serviceTypeId;

    @ApiModelProperty(value = "关联的接口所属的系统/模块的id")
    @QuerySqlField
    private String systemId;

    @ApiModelProperty(value = "关联的接口id")
    @QuerySqlField
    private String resId;

    @ApiModelProperty(value = "请求参数")
    @QuerySqlField
    private String dataIn;

    @ApiModelProperty(value = "响应参数")
    @QuerySqlField
    private String dataOut;

    @ApiModelProperty(value = "是否被发布:默认创建完就发布")
    @QuerySqlField
    private Boolean published;

    public static Gateway newInstance() {
        return new Gateway();
    }
}
