package net.wanji.databus.entity.integration.servicegateway.gatewayaccess;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description: 网关配合gateway使用时持久化表pojo
 * @Author wanji
 * @Date 2020/2/11 9:17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "GatewayDTO", description = "网关DTO模型")
public class GatewayDTO extends TrackableEntity {

    @ApiModelProperty(value = "网关名称")
    private String name;

    @ApiModelProperty(value = "网关的key和发布的接口一一对应")
    private String key;


    @ApiModelProperty(value = "接口的请求类型")
    private String method;

    @ApiModelProperty(value = "访问url")
    private String proxyUrl;

    @ApiModelProperty(value = "代理服务地址url")
    private String realUrl;

    @ApiModelProperty(value = "代理服务名称")
    private String proxyServiceName;

    // 废弃
    @ApiModelProperty(value = "发布的接口的版本号")
    private String serviceVersion;

    @ApiModelProperty(value = "接口类型：哪种接口生成的网关")
    private String type;

    @ApiModelProperty(value = "发布类型：soap、restful")
    private String publishType;

    @ApiModelProperty(value = "发布版本号")
    private String version;

    @ApiModelProperty(value = "关联的接口所属的系统/模块的id")
    private String systemId;

    @ApiModelProperty(value = "关联的接口id")
    private String resId;

    @ApiModelProperty(value = "请求参数")
    private String dataIn;

    @ApiModelProperty(value = "响应参数")
    private String dataOut;

    @ApiModelProperty(value = "是否被发布:默认创建完就发布")
    private boolean published;

    @ApiModelProperty(value = "是否被授权：该网关接口是否已经授予该访问身份的权限")
    private boolean isAuth;

    public static GatewayDTO newInstance() {
        return new GatewayDTO();
    }
}
