package net.wanji.databus.entity.integration.servicegateway.gatewayaccess;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.ignite.cache.query.annotations.QuerySqlField;

/**
 * @Description: 服务授权表
 * @Author
 * @Date 2021/3/12
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "GisServiceAuth", description = "服务授权表")
public class GisServiceAuth extends TrackableEntity {

    @ApiModelProperty(value = "用户Id")
    @QuerySqlField
    private String userId;

    @ApiModelProperty(value = "服务id")
    @QuerySqlField
    private String serviceId;

    private String userIds;//授权选择的用户

    public static GisServiceAuth newInstance() {
        return new GisServiceAuth();
    }
}
