package net.wanji.databus.entity.integration.servicegateway.m2a;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName M2AMail
 * @Description
 * @Author wanji
 * @Date 2020/5/29 9:49
 * @Version 1.0
 */
@Data
@ApiModel(value = "M2AMail", description = "邮件接口")
public class M2AMail extends TrackableEntity {

    @ApiModelProperty(value = "接口名称")
    private String name;

    @ApiModelProperty(value = "邮件服务器")
    private String server;

    @ApiModelProperty(value = "端口名")
    private String port;

    @ApiModelProperty(value = "用户名")
    private String user;

    @ApiModelProperty(value = "默认发件人")
    private String defaultSender;

    @ApiModelProperty(value = "密码")
    private String pwd;

    @ApiModelProperty(value = "请求类型")
    private String method;

    @ApiModelProperty(value = "服务地址")
    private String url;

    @ApiModelProperty(value = "使用SSL协议")
    private boolean ssl;

    // 以下为扩展属性
    @ApiModelProperty(value = "gateWay的主键id。服务发布--M2A模块中所需的属性")
    private String gatewayId;

    @ApiModelProperty(value = "代理Url。服务发布--M2A模块中所需的属性")
    private String gatewayUrl;

    @ApiModelProperty(value = "发布状态。服务发布--M2A模块中所需的属性。")
    private boolean ifPublished;

    // 收件人信息
    @ApiModelProperty(value = "收件人")
    private String addressee;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "邮件内容")
    private String message;
}
