package net.wanji.databus.entity.integration.servicegateway.visitapp;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/3/16 21:20
 */
@Getter
@Setter
@ApiModel(value = "GatewayVisitApp", description = "访问身份")
public class GatewayVisitApp extends TrackableEntity {

    @ApiModelProperty(value = "系统的名称")
    private String name;

    @ApiModelProperty(value = "关联的业务账号id")
    private String businessAccountId;
    // DTO模型：冗余业务账号名称
    @ApiModelProperty(value = "关联的业务账号name")
    private String businessAccountName;

    @ApiModelProperty(value = "邮件")
    private String email;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "密钥")
    private String secretKey;

    @ApiModelProperty(value = "是否被授权")
    private boolean isAuthorized;

    public static GatewayVisitApp newInstance() {
        return new GatewayVisitApp();
    }
}
