package net.wanji.databus.entity.manage.systemsetting;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


/**
 * @author shun.yin
 * @date 2020/3/16
 */
@Getter
@Setter
@ApiModel(value = "SysUser", description = "用户")
public class SysUser extends TrackableEntity {

    @ApiModelProperty(value = "用户姓名", required = true)
    private String name;

    @ApiModelProperty(value = "用户名", required = true)
    private String username;

    @ApiModelProperty(value = "用户密码", required = true)
    private String password;

    @ApiModelProperty(value = "用户电话")
    private String phone;

    @ApiModelProperty(value = "用户邮件")
    private String email;

    @ApiModelProperty(value = "用户性别")
    private String gender;

    @ApiModelProperty(value = "用户描述")
    private String description;

    @ApiModelProperty(value = "盐")
    private String salt;

    public String getCredentialsSalt() {
        return username + salt + salt;
    }


    public static SysUser newInstance() {
        return new SysUser();
    }
}

