package net.wanji.databus.entity.monitor.logcenter;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * @author
 * @date 2019/3/25
 */
@Data
@ApiModel(value = "NodeLog", description = "流程节点日志")
public class NodeLog extends TrackableEntity {

    @ApiModelProperty(value = "流程id")
    private String flowInstanceId;

    @ApiModelProperty(value = "插件id")
    private String pluginId;

    @ApiModelProperty(value = "插件type")
    private String pluginType;

    @ApiModelProperty(value = "插件名称")
    private String pluginName;

    @ApiModelProperty(value = "插件json")
    private String pluginJson;

    @ApiModelProperty(value = "输入值")
    private String dataIn;

    @ApiModelProperty(value = "输出值")
    private String dataOut;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Long startDate;

    @ApiModelProperty(value = "结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Long endDate;

    @Override
    public String toString() {
        return "ServicePluginLog{" +
                "flowInstanceId='" + flowInstanceId + '\'' +
                ", pluginId='" + pluginId + '\'' +
                ", pluginCode='" + pluginType + '\'' +
                ", pluginName='" + pluginName + '\'' +
                ", pluginJson='" + pluginJson + '\'' +
                ", dataIn='" + dataIn + '\'' +
                ", dataOut='" + dataOut + '\'' +
                ", status=" + status +
                ", startDate=" + startDate +
                ", endDate=" + endDate +
                '}';
    }

    public NodeLog() {
    }

    public NodeLog(String flowInstanceId, String pluginId, String pluginCode, String pluginName, String pluginJson) {
        this.flowInstanceId = flowInstanceId;
        this.pluginId = pluginId;
        this.pluginType = pluginCode;
        this.pluginName = pluginName;
        this.pluginJson = pluginJson;
    }

    public NodeLog(String flowInstanceId, String pluginId, String pluginCode, String pluginName, String pluginJson, String dataIn, Long startDate) {
        this.flowInstanceId = flowInstanceId;
        this.pluginId = pluginId;
        this.pluginType = pluginCode;
        this.pluginName = pluginName;
        this.pluginJson = pluginJson;
        this.dataIn = dataIn;
        this.startDate = startDate;
    }

    public static NodeLog newInstance() {
        return new NodeLog();
    }
}
