package net.wanji.databus.entity.monitor.statistics;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @Author
 * @Date 2020/6/12 19:00
 */
@Setter
@Getter
@ApiModel(value = "ActiveUser", description = "统计分析-活跃用户")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class ActiveUser extends TrackableEntity {

    @ApiModelProperty(value = "登录时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date loginTime;

    @ApiModelProperty(value = "日启动用户数")
    private Integer dailyActiveUser;

    @ApiModelProperty(value = "周活跃用户数")
    private Integer weeklyActiveUser;

    @ApiModelProperty(value = "月活跃用户数")
    private Integer monthlyActiveUser;

    @ApiModelProperty(value = "日活跃度")
    private Object dailyActivity;

    @ApiModelProperty(value = "累计用户数")
    private Integer totalUser = 0;
}
