package net.wanji.databus.entity.monitor.statistics;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 设备统计分析
 * @author gl.dong
 * @date 2020/6/10 9:21
 */
@Setter
@Getter
@ApiModel(value = "DeviceStatistics", description = "设备统计分析")
public class DeviceStatistics extends TrackableEntity {

    @ApiModelProperty(value = "统计维度：设备型号/操作系统")
    private String name;

    @ApiModelProperty(value = "启动次数")
    private Integer startNumbers;

    @ApiModelProperty(value = "启动次数分布")
    private String startNumbersRate;

    @ApiModelProperty(value = "新用户分布")
    private String newUserRate;

    @ApiModelProperty(value = "启动用户分布")
    private String startUserRate;

}
