package net.wanji.databus.entity.monitor.statistics;

import net.wanji.common.framework.domain.TrackableEntity;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.PositiveOrZero;


/**
 * @Description:
 * @Author
 * @Date 2020/6/12 16:45
 */
@Setter
@Getter
@ApiModel(value = "RegionalUserChartParam", description = "统计分析-地域分布表参数")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class RegionalUserChartParam extends TrackableEntity {
    /**
     * 每页数据条数
     */
    @ApiModelProperty(value = "每页显示的总条数", example = "10", dataType = "int")
    @PositiveOrZero //校验必须为正数或0
    private int pageSize = 10;
    /**
     * 起始页码
     */
    @ApiModelProperty(value = "当前页", example = "1", dataType = "int")
    @PositiveOrZero //校验必须为正数或0
    private int pageNum = 1;
    /**
     * 起始行数
     */
    private int startRowNum = 0;

    private String startDate;

    private String endDate;

    public RegionalUserChartParam(int pageSize, int pageNum, String startDate, String endDate) {
        this.pageSize = pageSize;
        this.pageNum = pageNum;
        this.startDate = startDate;
        this.endDate = endDate;
        this.startRowNum = pageSize * (pageNum - 1);
    }
}
