package net.wanji.databus.entity.monitor.statistics;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;


/**
 * @Description:
 * @Author
 * @Date 2020/6/12 16:45
 */
@Setter
@Getter
@ApiModel(value = "UserTrends", description = "统计分析-用户趋势")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class UserTrends extends TrackableEntity {

    @ApiModelProperty(value = "登录时间")
    @JSONField(format = "yyyy-MM-dd")
    private Date loginTime;

    @ApiModelProperty(value = "日启动用户数")
    private Integer dailyActiveUser;

    @ApiModelProperty(value = "日新用户数")
    private Integer dailyNewUser;

    @ApiModelProperty(value = "日老用户数")
    private Integer dailyOldUser;

    @ApiModelProperty(value = "日访问次数")
    private Integer dailyUserVisits;

    @ApiModelProperty(value = "日独立ip")
    private Integer dedicatedHostingIp;
}
