package net.wanji.databus.entity.monitor.statistics;

import net.wanji.common.framework.domain.TrackableEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.PositiveOrZero;
import java.util.Date;


/**
 * @Description:
 * @Author
 * @Date 2020/6/12 16:45
 */
@Setter
@Getter
@ApiModel(value = "UserTrendsChartParam", description = "统计分析-用户趋势表参数")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class UserTrendsChartParam extends TrackableEntity {
    /**
     * 每页数据条数
     */
    @ApiModelProperty(value = "每页显示的总条数", example = "10", dataType = "int")
    @PositiveOrZero //校验必须为正数或0
    private int pageSize = 10;
    /**
     * 起始页码
     */
    @ApiModelProperty(value = "当前页", example = "1", dataType = "int")
    @PositiveOrZero //校验必须为正数或0
    private int pageNum = 1;
    /**
     * 起始行数
     */
    private int startRowNum = 0;
    /**
     * 图表类型
     */
    private String type;

    public UserTrendsChartParam(int pageSize, int pageNum, String type) {
        this.pageSize = pageSize;
        this.pageNum = pageNum;
        this.type = type;
        this.startRowNum = pageSize * (pageNum - 1);
    }
}
