package net.wanji.databus.entity.monitor.statistics;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
@ApiModel(value = "VersionDateStatistics",description = "版本分析")
public class VersionDateStatistics extends TrackableEntity {

    @ApiModelProperty(value="统计时间")
    @JSONField(format = "yyyy-MM-dd")
    private Date statisticsTime;

    @ApiModelProperty(value = "统计版本")
    private String clientVersion;

    @ApiModelProperty(value = "升级用户数")
    private Integer dailyUpdateUser;

    @ApiModelProperty(value = "新用户数")
    private Integer dailyNewUser;

    @ApiModelProperty(value = "升级+新用户数")
    private Integer dailyNewAndUpdateUser;

    @ApiModelProperty(value = "启动次数")
    private Integer dailyVersionStartUp;
}
