package net.wanji.databus.entity.servicedevelop;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 服务接口定义信息
 * @Description:
 * @Author guoliang.dong
 * @Date 2021/1/7 18:36
 */
@Setter
@Getter
@ApiModel(value = "DataBaseRestful", description = "微服务开发-服务接口定义信息")
public class DataBaseRestful extends TrackableEntity {

    @ApiModelProperty(value = "服务名")
    private String name;

    @ApiModelProperty(value = "服务英文名")
    private String nameEn;

    @ApiModelProperty(value = "模块id")
    private String moduleId;

    @ApiModelProperty(value = "url")
    private String url;

    @ApiModelProperty(value = "编码")
    private String code;

    @ApiModelProperty(value = "方法")
    private String method;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "输入参数json")
    private String dataIn;

    @ApiModelProperty(value = "输出参数json")
    private String dataOut;

    @ApiModelProperty(value = "接口类型(basic-基础接口，business-业务接口)")
    private String type;

    @ApiModelProperty(value = "关联restful表的UUID")
    private String relId;

    @ApiModelProperty(value = "mock状态(mock-mock接口，unmock-真实接口)")
    private String unmock;

    @ApiModelProperty(value = "模拟返回结果")
    private String unmockOut;

    @ApiModelProperty(value = "版本")
    private String version;

    @ApiModelProperty(value = "编码")
    private String key;

    // 联表字段
    @ApiModelProperty(value = "TableRestful 参数信息")
    private String pluginJson;

    @ApiModelProperty(value = "TableRestful 选择接口")
    private String interfaceCode;

    @ApiModelProperty(value = "业务接口流程json")
    private String showJson;

    @ApiModelProperty(value = "业务接口G6所需json")
    private String structure;

    //网关查询返回字段，网关代理路径
    private String gatewayUrl;

    //网关查询返回字段，网关路由id
    private String gatewayId;

    //服务网关返回值字段，发布状态，复用此pojo
    private String status;

    // 是否克隆
    private String clone;
    // 克隆的接口 id
    private String cloneApiId;

    public static DataBaseRestful newInstance() {
        return new DataBaseRestful();
    }
}
