package net.wanji.databus.entity.servicedevelop;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author guoliang.dong
 * @Date 2021/1/7 18:36
 */
@Setter
@Getter
@ApiModel(value = "ServiceRestful", description = "微服务开发-接口")
public class ServiceRestful extends TrackableEntity {

    @ApiModelProperty(value = "接口类型(orchestration-服务编排，business-业务接口)")
    private String type;

    @ApiModelProperty(value = "服务名")
    private String name;

    @ApiModelProperty(value = "模块id")
    private String moduleId;

    @ApiModelProperty(value = "url")
    private String url;

    @ApiModelProperty(value = "编码")
    private String code;

    @ApiModelProperty(value = "方法")
    private String method;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "流程json")
    private String showJson;

    @ApiModelProperty(value = "输入参数json")
    private String dataIn;

    @ApiModelProperty(value = "输出参数json")
    private String dataOut;

    @ApiModelProperty(value = "mock状态(mock-mock接口，unmock-真实接口)")
    private String unmock;

    @ApiModelProperty(value = "回填G6结构")
    private String structure;

    @ApiModelProperty(value = "网关地址")
    private String gatewayUrl;

    public static ServiceRestful newInstance() {
        return new ServiceRestful();
    }
}
